## class: `Anchor`

### Superclass

| Name         | Module           | Package |
| ------------ | ---------------- | ------- |
| `AnchorBase` | /src/anchor-base |         |

### Fields

| Name              | Privacy | Type               | Default | Description | Inherited From |
| ----------------- | ------- | ------------------ | ------- | ----------- | -------------- |
| `underlineHidden` | public  | `boolean`          | `false` |             |                |
| `appearance`      | public  | `AnchorAppearance` |         |             |                |
| `tabIndex`        | public  | `number`           |         |             |                |
| `contentEditable` | public  | `string`           |         |             |                |

### Attributes

| Name               | Field           | Inherited From |
| ------------------ | --------------- | -------------- |
| `underline-hidden` | underlineHidden |                |
| `appearance`       | appearance      |                |
| `tabindex`         | tabIndex        |                |
| `contenteditable`  | contentEditable |                |

<hr/>

## class: `AnchorBase`

### Superclass

| Name               | Module | Package             |
| ------------------ | ------ | ------------------- |
| `FoundationAnchor` |        | @ni/fast-foundation |

<hr/>

## class: `AnchorButton`

### Superclass

| Name         | Module           | Package |
| ------------ | ---------------- | ------- |
| `AnchorBase` | /src/anchor-base |         |

### Fields

| Name                | Privacy | Type                      | Default | Description | Inherited From |
| ------------------- | ------- | ------------------------- | ------- | ----------- | -------------- |
| `appearance`        | public  | `ButtonAppearance`        |         |             |                |
| `appearanceVariant` | public  | `ButtonAppearanceVariant` |         |             |                |
| `contentHidden`     | public  | `boolean`                 | `false` |             |                |
| `disabled`          | public  | `boolean`                 | `false` |             |                |

### Attributes

| Name                 | Field             | Inherited From |
| -------------------- | ----------------- | -------------- |
| `appearance`         | appearance        |                |
| `appearance-variant` | appearanceVariant |                |
| `content-hidden`     | contentHidden     |                |
| `disabled`           | disabled          |                |

<hr/>

## class: `AnchorMenuItem`

### Superclass

| Name         | Module           | Package |
| ------------ | ---------------- | ------- |
| `AnchorBase` | /src/anchor-base |         |

### Fields

| Name       | Privacy | Type      | Default | Description | Inherited From |
| ---------- | ------- | --------- | ------- | ----------- | -------------- |
| `disabled` | public  | `boolean` | `false` |             |                |
| `tabIndex` | public  | `number`  |         |             |                |

### Methods

| Name           | Privacy | Description | Parameters                             | Return | Inherited From |
| -------------- | ------- | ----------- | -------------------------------------- | ------ | -------------- |
| `setAttribute` | public  |             | `qualifiedName: string, value: string` | `void` |                |

### Attributes

| Name       | Field    | Inherited From |
| ---------- | -------- | -------------- |
| `disabled` | disabled |                |

<hr/>

## class: `AnchorStep`

### Superclass

| Name         | Module           | Package |
| ------------ | ---------------- | ------- |
| `AnchorBase` | /src/anchor-base |         |

### Fields

| Name                  | Privacy | Type                  | Default | Description                                                                                    | Inherited From       |
| --------------------- | ------- | --------------------- | ------- | ---------------------------------------------------------------------------------------------- | -------------------- |
| `severity`            | public  | `Severity`            |         | The severity state of the element                                                              | mixinSeverityPattern |
| `disabled`            | public  | `boolean`             | `false` |                                                                                                |                      |
| `readOnly`            | public  | `boolean`             | `false` |                                                                                                |                      |
| `selected`            | public  | `boolean`             | `false` |                                                                                                |                      |
| `tabIndex`            | public  | `number`              |         |                                                                                                |                      |
| `severityText`        | public  | `string \| undefined` |         | The severity text that will be displayed when a component is not in the default severity state | mixinSeverityPattern |
| `severityHasOverflow` | public  | `boolean`             | `false` |                                                                                                | mixinSeverityPattern |

### Attributes

| Name       | Field    | Inherited From |
| ---------- | -------- | -------------- |
| `severity` | severity |                |
| `disabled` | disabled |                |
| `readonly` | readOnly |                |
| `selected` | selected |                |
| `tabindex` | tabIndex |                |

<hr/>

## class: `AnchorTab`

### Superclass

| Name         | Module           | Package |
| ------------ | ---------------- | ------- |
| `AnchorBase` | /src/anchor-base |         |

### Fields

| Name           | Privacy | Type      | Default   | Description                                                                                                                                                                               | Inherited From |
| -------------- | ------- | --------- | --------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | -------------- |
| `disabled`     | public  | `boolean` | `false`   | When true, the control will be immutable by user interaction. See https\://developer.mozilla.org/en-US/docs/Web/HTML/Attributes/disabled \| disabled HTML attribute for more information. |                |
| `ariaSelected` | public  | `string`  | `'false'` | Indicates the current "selected" state of various widgets.&#xA;https\://www\.w3.org/TR/wai-aria-1.1/#aria-selected                                                                        |                |

### Attributes

| Name            | Field        | Inherited From |
| --------------- | ------------ | -------------- |
| `disabled`      | disabled     |                |
| `aria-selected` | ariaSelected |                |

<hr/>

## class: `AnchorTabs`

### Superclass

| Name                | Module | Package             |
| ------------------- | ------ | ------------------- |
| `FoundationElement` |        | @ni/fast-foundation |

### Fields

| Name        | Privacy | Type                       | Default | Description                   | Inherited From |
| ----------- | ------- | -------------------------- | ------- | ----------------------------- | -------------- |
| `activeid`  | public  | `string \| undefined`      |         | The id of the active tab      |                |
| `activetab` | public  | `HTMLElement \| undefined` |         | A reference to the active tab |                |

### Attributes

| Name       | Field    | Inherited From |
| ---------- | -------- | -------------- |
| `activeid` | activeid |                |

<hr/>

## class: `AnchorTreeItem`

### Superclass

| Name         | Module           | Package |
| ------------ | ---------------- | ------- |
| `AnchorBase` | /src/anchor-base |         |

### Fields

| Name       | Privacy | Type      | Default | Description                                                                                                                                                                               | Inherited From |
| ---------- | ------- | --------- | ------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | -------------- |
| `selected` | public  | `boolean` | `false` | When true, the control will appear selected by user interaction.                                                                                                                          |                |
| `disabled` | public  | `boolean` | `false` | When true, the control will be immutable by user interaction. See https\://developer.mozilla.org/en-US/docs/Web/HTML/Attributes/disabled \| disabled HTML attribute for more information. |                |

### Methods

| Name              | Privacy   | Description                | Parameters                                    | Return    | Inherited From |
| ----------------- | --------- | -------------------------- | --------------------------------------------- | --------- | -------------- |
| `isNestedItem`    | public    | Whether the tree is nested |                                               | `boolean` |                |
| `selectedChanged` | protected |                            | `_prev: boolean \| undefined, _next: boolean` | `void`    |                |

### Attributes

| Name       | Field    | Inherited From |
| ---------- | -------- | -------------- |
| `selected` | selected |                |
| `disabled` | disabled |                |

<hr/>

## class: `AnchoredRegion`

### Superclass

| Name                       | Module | Package             |
| -------------------------- | ------ | ------------------- |
| `FoundationAnchoredRegion` |        | @ni/fast-foundation |

<hr/>

## class: `Banner`

### Superclass

| Name                | Module | Package             |
| ------------------- | ------ | ------------------- |
| `FoundationElement` |        | @ni/fast-foundation |

### Fields

| Name             | Privacy | Type             | Default | Description | Inherited From |
| ---------------- | ------- | ---------------- | ------- | ----------- | -------------- |
| `open`           | public  | `boolean`        | `false` |             |                |
| `severity`       | public  | `BannerSeverity` |         |             |                |
| `titleHidden`    | public  | `boolean`        | `false` |             |                |
| `preventDismiss` | public  | `boolean`        | `false` |             |                |

### Attributes

| Name              | Field          | Inherited From |
| ----------------- | -------------- | -------------- |
| `open`            | open           |                |
| `severity`        | severity       |                |
| `title-hidden`    | titleHidden    |                |
| `prevent-dismiss` | preventDismiss |                |

<hr/>

## class: `Breadcrumb`

### Superclass

| Name                   | Module | Package             |
| ---------------------- | ------ | ------------------- |
| `FoundationBreadcrumb` |        | @ni/fast-foundation |

### Fields

| Name         | Privacy | Type                   | Default | Description | Inherited From |
| ------------ | ------- | ---------------------- | ------- | ----------- | -------------- |
| `appearance` | public  | `BreadcrumbAppearance` |         |             |                |

### Attributes

| Name         | Field      | Inherited From |
| ------------ | ---------- | -------------- |
| `appearance` | appearance |                |

<hr/>

## class: `BreadcrumbItem`

### Superclass

| Name                       | Module | Package             |
| -------------------------- | ------ | ------------------- |
| `FoundationBreadcrumbItem` |        | @ni/fast-foundation |

<hr/>

## class: `Button`

### Superclass

| Name               | Module | Package             |
| ------------------ | ------ | ------------------- |
| `FoundationButton` |        | @ni/fast-foundation |

### Fields

| Name                | Privacy | Type                      | Default | Description | Inherited From |
| ------------------- | ------- | ------------------------- | ------- | ----------- | -------------- |
| `appearance`        | public  | `ButtonAppearance`        |         |             |                |
| `appearanceVariant` | public  | `ButtonAppearanceVariant` |         |             |                |
| `contentHidden`     | public  | `boolean`                 | `false` |             |                |
| `tabIndex`          | public  | `number`                  |         |             |                |

### Attributes

| Name                 | Field             | Inherited From |
| -------------------- | ----------------- | -------------- |
| `appearance`         | appearance        |                |
| `appearance-variant` | appearanceVariant |                |
| `content-hidden`     | contentHidden     |                |
| `tabindex`           | tabIndex          |                |

<hr/>

## class: `Card`

### Superclass

| Name             | Module | Package             |
| ---------------- | ------ | ------------------- |
| `FoundationCard` |        | @ni/fast-foundation |

<hr/>

## class: `CardButton`

### Superclass

| Name               | Module | Package             |
| ------------------ | ------ | ------------------- |
| `FoundationButton` |        | @ni/fast-foundation |

### Fields

| Name       | Privacy | Type      | Default | Description | Inherited From |
| ---------- | ------- | --------- | ------- | ----------- | -------------- |
| `selected` | public  | `boolean` | `false` |             |                |

### Attributes

| Name       | Field    | Inherited From |
| ---------- | -------- | -------------- |
| `selected` | selected |                |

<hr/>

## class: `Checkbox`

### Superclass

| Name                 | Module | Package             |
| -------------------- | ------ | ------------------- |
| `FoundationCheckbox` |        | @ni/fast-foundation |

### Fields

| Name                      | Privacy | Type                  | Default | Description                                                                       | Inherited From    |
| ------------------------- | ------- | --------------------- | ------- | --------------------------------------------------------------------------------- | ----------------- |
| `tabIndex`                | public  | `number`              |         |                                                                                   |                   |
| `appearanceIndeterminate` | public  | `boolean`             | `false` |                                                                                   |                   |
| `errorText`               | public  | `string \| undefined` |         | The error text that will be displayed when a component is in the error appearance | mixinErrorPattern |
| `errorVisible`            | public  | `boolean`             | `false` |                                                                                   | mixinErrorPattern |
| `errorHasOverflow`        | public  | `boolean`             | `false` |                                                                                   | mixinErrorPattern |

### Attributes

| Name                       | Field                   | Inherited From |
| -------------------------- | ----------------------- | -------------- |
| `tabindex`                 | tabIndex                |                |
| `appearance-indeterminate` | appearanceIndeterminate |                |

<hr/>

## class: `Chip`

### Superclass

| Name                | Module | Package             |
| ------------------- | ------ | ------------------- |
| `FoundationElement` |        | @ni/fast-foundation |

### Fields

| Name         | Privacy | Type             | Default | Description | Inherited From |
| ------------ | ------- | ---------------- | ------- | ----------- | -------------- |
| `removable`  | public  | `boolean`        | `false` |             |                |
| `disabled`   | public  | `boolean`        | `false` |             |                |
| `appearance` | public  | `ChipAppearance` |         |             |                |
| `tabIndex`   | public  | `number`         |         |             |                |

### Attributes

| Name         | Field      | Inherited From |
| ------------ | ---------- | -------------- |
| `removable`  | removable  |                |
| `disabled`   | disabled   |                |
| `appearance` | appearance |                |
| `tabindex`   | tabIndex   |                |

<hr/>

## class: `Combobox`

### Superclass

| Name                     | Module                                        | Package |
| ------------------------ | --------------------------------------------- | ------- |
| `FormAssociatedCombobox` | /src/combobox/models/combobox-form-associated |         |

### Fields

| Name                 | Privacy | Type                                | Default | Description                                                                              | Inherited From              |
| -------------------- | ------- | ----------------------------------- | ------- | ---------------------------------------------------------------------------------------- | --------------------------- |
| `appearance`         | public  | `DropdownAppearance`                |         |                                                                                          |                             |
| `appearanceReadOnly` | public  | `boolean`                           | `false` |                                                                                          |                             |
| `fullBleed`          | public  | `boolean`                           | `false` |                                                                                          |                             |
| `autocomplete`       | public  | `ComboboxAutocomplete \| undefined` |         | The autocomplete attribute.                                                              |                             |
| `positionAttribute`  | public  | `SelectPosition \| undefined`       |         | The placement for the listbox when the combobox is open.                                 |                             |
| `open`               | public  | `boolean`                           | `false` | The open attribute.                                                                      |                             |
| `placeholder`        | public  | `string`                            |         | Sets the placeholder value of the element, generally used to provide a hint to the user. |                             |
| `position`           | public  | `SelectPosition \| undefined`       |         | The current state of the calculated position of the listbox.                             |                             |
| `value`              | public  | `string`                            |         |                                                                                          |                             |
| `options`            | public  | `ListboxOption[]`                   |         | The list of options.&#xA;&#xA;Overrides \`Listbox.options\`.                             |                             |
| `errorText`          | public  | `string \| undefined`               |         | The error text that will be displayed when a component is in the error appearance        | mixinErrorPattern           |
| `errorVisible`       | public  | `boolean`                           | `false` |                                                                                          | mixinErrorPattern           |
| `errorHasOverflow`   | public  | `boolean`                           | `false` |                                                                                          | mixinErrorPattern           |
| `requiredVisible`    | public  | `boolean`                           | `false` |                                                                                          | mixinRequiredVisiblePattern |

### Methods

| Name                    | Privacy   | Description                                       | Parameters                                                          | Return    | Inherited From |
| ----------------------- | --------- | ------------------------------------------------- | ------------------------------------------------------------------- | --------- | -------------- |
| `slottedOptionsChanged` | public    |                                                   | `prev: HTMLElement[], next: HTMLElement[]`                          | `void`    |                |
| `keydownHandler`        | public    |                                                   | `e: KeyboardEvent`                                                  | `boolean` |                |
| `validate`              | public    | {@inheritDoc (FormAssociated:interface).validate} |                                                                     | `void`    |                |
| `openChanged`           | protected |                                                   |                                                                     | `void`    |                |
| `placeholderChanged`    | protected |                                                   |                                                                     | `void`    |                |
| `positionChanged`       | protected |                                                   | `_: SelectPosition \| undefined, next: SelectPosition \| undefined` | `void`    |                |

### Attributes

| Name                  | Field              | Inherited From |
| --------------------- | ------------------ | -------------- |
| `appearance`          | appearance         |                |
| `appearance-readonly` | appearanceReadOnly |                |
| `full-bleed`          | fullBleed          |                |
| `autocomplete`        | autocomplete       |                |
| `position`            | positionAttribute  |                |
| `open`                | open               |                |
| `placeholder`         | placeholder        |                |

<hr/>

## class: `Dialog`

### Superclass

| Name                | Module | Package             |
| ------------------- | ------ | ------------------- |
| `FoundationElement` |        | @ni/fast-foundation |

### Static Fields

| Name            | Privacy | Type | Default         | Description | Inherited From |
| --------------- | ------- | ---- | --------------- | ----------- | -------------- |
| `UserDismissed` | public  |      | `UserDismissed` |             |                |

### Fields

| Name             | Privacy | Type      | Default | Description                                         | Inherited From |
| ---------------- | ------- | --------- | ------- | --------------------------------------------------- | -------------- |
| `preventDismiss` | public  | `boolean` | `false` |                                                     |                |
| `headerHidden`   | public  | `boolean` | `false` |                                                     |                |
| `footerHidden`   | public  | `boolean` | `false` |                                                     |                |
| `open`           | public  | `boolean` |         | True if the dialog is open/showing, false otherwise |                |

### Methods

| Name                           | Privacy | Description       | Parameters                                                            | Return | Inherited From |
| ------------------------------ | ------- | ----------------- | --------------------------------------------------------------------- | ------ | -------------- |
| `show`                         | public  | Opens the dialog  |                                                                       |        |                |
| `close`                        | public  | Closes the dialog | `reason: CloseReason`                                                 | `void` |                |
| `slottedFooterElementsChanged` | public  |                   | `_prev: HTMLElement[] \| undefined, next: HTMLElement[] \| undefined` | `void` |                |

### Attributes

| Name              | Field          | Inherited From |
| ----------------- | -------------- | -------------- |
| `prevent-dismiss` | preventDismiss |                |
| `header-hidden`   | headerHidden   |                |
| `footer-hidden`   | footerHidden   |                |

<hr/>

## class: `Drawer`

### Superclass

| Name                | Module | Package             |
| ------------------- | ------ | ------------------- |
| `FoundationElement` |        | @ni/fast-foundation |

### Static Fields

| Name            | Privacy | Type | Default         | Description | Inherited From |
| --------------- | ------- | ---- | --------------- | ----------- | -------------- |
| `UserDismissed` | public  |      | `UserDismissed` |             |                |

### Fields

| Name             | Privacy | Type                | Default | Description                                                        | Inherited From |
| ---------------- | ------- | ------------------- | ------- | ------------------------------------------------------------------ | -------------- |
| `location`       | public  | `DrawerLocation`    |         |                                                                    |                |
| `preventDismiss` | public  | `boolean`           | `false` |                                                                    |                |
| `dialog`         | public  | `HTMLDialogElement` |         |                                                                    |                |
| `open`           | public  | `boolean`           |         | True if the drawer is open, opening, or closing. Otherwise, false. |                |

### Methods

| Name    | Privacy | Description       | Parameters            | Return | Inherited From |
| ------- | ------- | ----------------- | --------------------- | ------ | -------------- |
| `show`  | public  | Opens the drawer  |                       |        |                |
| `close` | public  | Closes the drawer | `reason: CloseReason` | `void` |                |

### Attributes

| Name              | Field          | Inherited From |
| ----------------- | -------------- | -------------- |
| `location`        | location       |                |
| `prevent-dismiss` | preventDismiss |                |

<hr/>

## class: `Icon`

### Superclass

| Name                | Module | Package             |
| ------------------- | ------ | ------------------- |
| `FoundationElement` |        | @ni/fast-foundation |

### Fields

| Name       | Privacy | Type           | Default | Description | Inherited From |
| ---------- | ------- | -------------- | ------- | ----------- | -------------- |
| `severity` | public  | `IconSeverity` |         |             |                |

### Attributes

| Name       | Field    | Inherited From |
| ---------- | -------- | -------------- |
| `severity` | severity |                |

<hr/>

## class: `IconSvg`

### Superclass

| Name   | Module         | Package |
| ------ | -------------- | ------- |
| `Icon` | /src/icon-base |         |

### Fields

| Name       | Privacy | Type           | Default | Description | Inherited From |
| ---------- | ------- | -------------- | ------- | ----------- | -------------- |
| `severity` | public  | `IconSeverity` |         |             | Icon           |

### Attributes

| Name       | Field    | Inherited From |
| ---------- | -------- | -------------- |
| `severity` | severity | Icon           |

<hr/>

## class: `ListOption`

### Superclass

| Name                      | Module | Package             |
| ------------------------- | ------ | ------------------- |
| `FoundationListboxOption` |        | @ni/fast-foundation |

### Fields

| Name     | Privacy | Type      | Default | Description                      | Inherited From |
| -------- | ------- | --------- | ------- | -------------------------------- | -------------- |
| `hidden` | public  | `boolean` | `false` | The hidden state of the element. |                |

### Attributes

| Name     | Field  | Inherited From |
| -------- | ------ | -------------- |
| `hidden` | hidden |                |

<hr/>

## class: `ListOptionGroup`

### Superclass

| Name                | Module | Package             |
| ------------------- | ------ | ------------------- |
| `FoundationElement` |        | @ni/fast-foundation |

### Fields

| Name     | Privacy | Type                  | Default | Description                      | Inherited From |
| -------- | ------- | --------------------- | ------- | -------------------------------- | -------------- |
| `label`  | public  | `string \| undefined` |         | The label for the group.         |                |
| `hidden` | public  | `boolean`             | `false` | The hidden state of the element. |                |

### Attributes

| Name     | Field  | Inherited From |
| -------- | ------ | -------------- |
| `label`  | label  |                |
| `hidden` | hidden |                |

<hr/>

## class: `Menu`

### Superclass

| Name             | Module                    | Package |
| ---------------- | ------------------------- | ------- |
| `FoundationMenu` | /src/menu/menu.foundation |         |

<hr/>

## class: `Menu`

### Superclass

| Name                | Module | Package             |
| ------------------- | ------ | ------------------- |
| `FoundationElement` |        | @ni/fast-foundation |

### Methods

| Name                   | Privacy | Description                         | Parameters | Return | Inherited From |
| ---------------------- | ------- | ----------------------------------- | ---------- | ------ | -------------- |
| `focus`                | public  | Focuses the first item in the menu. |            | `void` |                |
| `collapseExpandedItem` | public  | Collapses any expanded menu items.  |            | `void` |                |

### Slots

| Name | Description                         |
| ---- | ----------------------------------- |
|      | The default slot for the menu items |

<hr/>

## class: `MenuButton`

### Superclass

| Name                | Module | Package             |
| ------------------- | ------ | ------------------- |
| `FoundationElement` |        | @ni/fast-foundation |

### Fields

| Name                | Privacy | Type                      | Default | Description                                                                            | Inherited From |
| ------------------- | ------- | ------------------------- | ------- | -------------------------------------------------------------------------------------- | -------------- |
| `appearance`        | public  | `ButtonAppearance`        |         |                                                                                        |                |
| `appearanceVariant` | public  | `ButtonAppearanceVariant` |         |                                                                                        |                |
| `disabled`          | public  | `boolean`                 | `false` |                                                                                        |                |
| `contentHidden`     | public  | `boolean`                 | `false` |                                                                                        |                |
| `tabIndex`          | public  | `number`                  |         |                                                                                        |                |
| `open`              | public  | `boolean`                 | `false` | Specifies whether or not the menu is open.                                             |                |
| `position`          | public  | `MenuButtonPosition`      |         | Configures where the menu should be placed relative to the button that opens the menu. |                |

### Methods

| Name                               | Privacy | Description | Parameters                                                              | Return    | Inherited From |
| ---------------------------------- | ------- | ----------- | ----------------------------------------------------------------------- | --------- | -------------- |
| `toggleButtonChanged`              | public  |             | `_prev: ToggleButton \| undefined, _next: ToggleButton \| undefined`    | `void`    |                |
| `regionChanged`                    | public  |             | `prev: AnchoredRegion \| undefined, _next: AnchoredRegion \| undefined` | `void`    |                |
| `openChanged`                      | public  |             | `_prev: boolean \| undefined, _next: boolean`                           | `void`    |                |
| `regionLoadedHandler`              | public  |             |                                                                         | `void`    |                |
| `focusoutHandler`                  | public  |             | `e: FocusEvent`                                                         | `boolean` |                |
| `toggleButtonCheckedChangeHandler` | public  |             | `e: Event`                                                              | `boolean` |                |
| `toggleButtonKeyDownHandler`       | public  |             | `e: KeyboardEvent`                                                      | `boolean` |                |
| `menuKeyDownHandler`               | public  |             | `e: KeyboardEvent`                                                      | `boolean` |                |

### Attributes

| Name                 | Field             | Inherited From |
| -------------------- | ----------------- | -------------- |
| `appearance`         | appearance        |                |
| `appearance-variant` | appearanceVariant |                |
| `disabled`           | disabled          |                |
| `content-hidden`     | contentHidden     |                |
| `tabindex`           | tabIndex          |                |
| `open`               | open              |                |
| `position`           | position          |                |

<hr/>

## class: `MenuItem`

### Superclass

| Name                 | Module | Package             |
| -------------------- | ------ | ------------------- |
| `FoundationMenuItem` |        | @ni/fast-foundation |

<hr/>

## class: `NumberField`

### Superclass

| Name                    | Module | Package             |
| ----------------------- | ------ | ------------------- |
| `FoundationNumberField` |        | @ni/fast-foundation |

### Fields

| Name                 | Privacy | Type                    | Default | Description                                                                       | Inherited From              |
| -------------------- | ------- | ----------------------- | ------- | --------------------------------------------------------------------------------- | --------------------------- |
| `appearance`         | public  | `NumberFieldAppearance` |         |                                                                                   |                             |
| `fullBleed`          | public  | `boolean`               | `false` |                                                                                   |                             |
| `appearanceReadOnly` | public  | `boolean`               | `false` |                                                                                   |                             |
| `errorText`          | public  | `string \| undefined`   |         | The error text that will be displayed when a component is in the error appearance | mixinErrorPattern           |
| `errorVisible`       | public  | `boolean`               | `false` |                                                                                   | mixinErrorPattern           |
| `errorHasOverflow`   | public  | `boolean`               | `false` |                                                                                   | mixinErrorPattern           |
| `requiredVisible`    | public  | `boolean`               | `false` |                                                                                   | mixinRequiredVisiblePattern |

### Methods

| Name                        | Privacy   | Description | Parameters          | Return   | Inherited From |
| --------------------------- | --------- | ----------- | ------------------- | -------- | -------------- |
| `sanitizeInput`             | protected |             | `inputText: string` | `string` |                |
| `syncValueFromInnerControl` | protected |             |                     | `void`   |                |
| `syncValueToInnerControl`   | protected |             |                     | `void`   |                |

### Attributes

| Name                  | Field              | Inherited From |
| --------------------- | ------------------ | -------------- |
| `appearance`          | appearance         |                |
| `full-bleed`          | fullBleed          |                |
| `appearance-readonly` | appearanceReadOnly |                |

<hr/>

## class: `Radio`

### Superclass

| Name              | Module | Package             |
| ----------------- | ------ | ------------------- |
| `FoundationRadio` |        | @ni/fast-foundation |

<hr/>

## class: `RadioGroup`

### Superclass

| Name                   | Module | Package             |
| ---------------------- | ------ | ------------------- |
| `FoundationRadioGroup` |        | @ni/fast-foundation |

### Fields

| Name               | Privacy | Type                  | Default | Description                                                                       | Inherited From              |
| ------------------ | ------- | --------------------- | ------- | --------------------------------------------------------------------------------- | --------------------------- |
| `errorText`        | public  | `string \| undefined` |         | The error text that will be displayed when a component is in the error appearance | mixinErrorPattern           |
| `errorVisible`     | public  | `boolean`             | `false` |                                                                                   | mixinErrorPattern           |
| `errorHasOverflow` | public  | `boolean`             | `false` |                                                                                   | mixinErrorPattern           |
| `requiredVisible`  | public  | `boolean`             | `false` |                                                                                   | mixinRequiredVisiblePattern |

<hr/>

## class: `Select`

### Superclass

| Name                   | Module                                    | Package |
| ---------------------- | ----------------------------------------- | ------- |
| `FormAssociatedSelect` | /src/select/models/select-form-associated |         |

### Fields

| Name                 | Privacy | Type                          | Default | Description                                                                       | Inherited From              |
| -------------------- | ------- | ----------------------------- | ------- | --------------------------------------------------------------------------------- | --------------------------- |
| `appearance`         | public  | `DropdownAppearance`          |         |                                                                                   |                             |
| `appearanceReadOnly` | public  | `boolean`                     | `false` |                                                                                   |                             |
| `fullBleed`          | public  | `boolean`                     | `false` |                                                                                   |                             |
| `positionAttribute`  | public  | `SelectPosition \| undefined` |         | Reflects the placement for the listbox when the select is open.                   |                             |
| `filterMode`         | public  | `FilterMode`                  |         |                                                                                   |                             |
| `clearable`          | public  | `boolean`                     | `false` |                                                                                   |                             |
| `loadingVisible`     | public  | `boolean`                     | `false` |                                                                                   |                             |
| `position`           | public  | `SelectPosition \| undefined` |         | Holds the current state for the calculated position of the listbox.               |                             |
| `value`              | public  | `string`                      |         |                                                                                   |                             |
| `errorText`          | public  | `string \| undefined`         |         | The error text that will be displayed when a component is in the error appearance | mixinErrorPattern           |
| `errorVisible`       | public  | `boolean`                     | `false` |                                                                                   | mixinErrorPattern           |
| `errorHasOverflow`   | public  | `boolean`                     | `false` |                                                                                   | mixinErrorPattern           |
| `requiredVisible`    | public  | `boolean`                     | `false` |                                                                                   | mixinRequiredVisiblePattern |

### Methods

| Name                           | Privacy   | Description                                      | Parameters                                                          | Return            | Inherited From |
| ------------------------------ | --------- | ------------------------------------------------ | ------------------------------------------------------------------- | ----------------- | -------------- |
| `multipleChanged`              | public    | Sets the multiple property on the proxy element. | `prev: boolean \| undefined, next: boolean`                         | `void`            |                |
| `setSelectedOptions`           | protected |                                                  |                                                                     | `void`            |                |
| `focusAndScrollOptionIntoView` | protected |                                                  |                                                                     | `void`            |                |
| `getTypeaheadMatches`          | protected |                                                  |                                                                     | `ListboxOption[]` |                |
| `positionChanged`              | protected |                                                  | `_: SelectPosition \| undefined, next: SelectPosition \| undefined` | `void`            |                |
| `openChanged`                  | protected |                                                  |                                                                     | `void`            |                |
| `filterOptions`                | public    | Filter available options by text value.          |                                                                     | `void`            |                |

### Attributes

| Name                  | Field              | Inherited From |
| --------------------- | ------------------ | -------------- |
| `appearance`          | appearance         |                |
| `appearance-readonly` | appearanceReadOnly |                |
| `full-bleed`          | fullBleed          |                |
| `position`            | positionAttribute  |                |
| `filter-mode`         | filterMode         |                |
| `clearable`           | clearable          |                |
| `loading-visible`     | loadingVisible     |                |

<hr/>

## class: `Spinner`

### Superclass

| Name                | Module | Package             |
| ------------------- | ------ | ------------------- |
| `FoundationElement` |        | @ni/fast-foundation |

### Fields

| Name         | Privacy | Type                | Default | Description | Inherited From |
| ------------ | ------- | ------------------- | ------- | ----------- | -------------- |
| `appearance` | public  | `SpinnerAppearance` |         |             |                |

### Attributes

| Name         | Field      | Inherited From |
| ------------ | ---------- | -------------- |
| `appearance` | appearance |                |

<hr/>

## class: `Step`

### Superclass

| Name               | Module | Package             |
| ------------------ | ------ | ------------------- |
| `FoundationButton` |        | @ni/fast-foundation |

### Fields

| Name                  | Privacy | Type                  | Default | Description                                                                                    | Inherited From       |
| --------------------- | ------- | --------------------- | ------- | ---------------------------------------------------------------------------------------------- | -------------------- |
| `severity`            | public  | `Severity`            |         | The severity state of the element                                                              | mixinSeverityPattern |
| `readOnly`            | public  | `boolean`             | `false` |                                                                                                |                      |
| `selected`            | public  | `boolean`             | `false` |                                                                                                |                      |
| `tabIndex`            | public  | `number`              |         |                                                                                                |                      |
| `severityText`        | public  | `string \| undefined` |         | The severity text that will be displayed when a component is not in the default severity state | mixinSeverityPattern |
| `severityHasOverflow` | public  | `boolean`             | `false` |                                                                                                | mixinSeverityPattern |

### Attributes

| Name       | Field    | Inherited From |
| ---------- | -------- | -------------- |
| `severity` | severity |                |
| `readonly` | readOnly |                |
| `selected` | selected |                |
| `tabindex` | tabIndex |                |

<hr/>

## class: `Stepper`

### Superclass

| Name                | Module | Package             |
| ------------------- | ------ | ------------------- |
| `FoundationElement` |        | @ni/fast-foundation |

### Fields

| Name          | Privacy | Type                 | Default | Description | Inherited From |
| ------------- | ------- | -------------------- | ------- | ----------- | -------------- |
| `orientation` | public  | `StepperOrientation` |         |             |                |

### Attributes

| Name          | Field       | Inherited From |
| ------------- | ----------- | -------------- |
| `orientation` | orientation |                |

<hr/>

## class: `Switch`

### Superclass

| Name               | Module | Package             |
| ------------------ | ------ | ------------------- |
| `FoundationSwitch` |        | @ni/fast-foundation |

<hr/>

## class: `Tab`

### Superclass

| Name            | Module | Package             |
| --------------- | ------ | ------------------- |
| `FoundationTab` |        | @ni/fast-foundation |

<hr/>

## class: `TabPanel`

### Superclass

| Name                 | Module | Package             |
| -------------------- | ------ | ------------------- |
| `FoundationTabPanel` |        | @ni/fast-foundation |

<hr/>

## class: `Table`

### Superclass

| Name                | Module | Package             |
| ------------------- | ------ | ------------------- |
| `FoundationElement` |        | @ni/fast-foundation |

### Fields

| Name                           | Privacy | Type                        | Default                                                   | Description | Inherited From |
| ------------------------------ | ------- | --------------------------- | --------------------------------------------------------- | ----------- | -------------- |
| `idFieldName`                  | public  | `string \| undefined`       |                                                           |             |                |
| `parentIdFieldName`            | public  | `string \| undefined`       |                                                           |             |                |
| `selectionMode`                | public  | `TableRowSelectionMode`     |                                                           |             |                |
| `actionMenusPreserveSelection` | public  | `boolean`                   | `false`                                                   |             |                |
| `validity`                     | public  | `TableValidity`             |                                                           |             |                |
| `windowShiftKeyDown`           | public  | `boolean`                   | `false`                                                   |             |                |
| `ariaMultiSelectable`          | public  | `'true' \| 'false' \| null` |                                                           |             |                |
| `virtualizer`                  |         |                             | `new Virtualizer(this, this.table)`                       |             |                |
| `keyboardNavigationManager`    |         |                             | `new KeyboardNavigationManager( this, this.virtualizer )` |             |                |
| `layoutManager`                |         |                             | `new TableLayoutManager(this)`                            |             |                |

### Methods

| Name                                  | Privacy   | Description | Parameters                                                | Return              | Inherited From |
| ------------------------------------- | --------- | ----------- | --------------------------------------------------------- | ------------------- | -------------- |
| `setData`                             | public    |             | `newData: readonly TData[]`                               | `Promise<void>`     |                |
| `getSelectedRecordIds`                | public    |             |                                                           | `Promise<string[]>` |                |
| `setSelectedRecordIds`                | public    |             | `recordIds: readonly string[]`                            | `Promise<void>`     |                |
| `setRecordHierarchyOptions`           | public    |             | `hierarchyOptions: TableSetRecordHierarchyOptions[]`      | `Promise<void>`     |                |
| `checkValidity`                       | public    |             |                                                           | `boolean`           |                |
| `selectionModeChanged`                | protected |             | `_prev: string \| undefined, _next: string \| undefined`  | `void`              |                |
| `actionMenusPreserveSelectionChanged` | protected |             | `_prev: boolean, _next: boolean`                          | `void`              |                |
| `idFieldNameChanged`                  | protected |             | `_prev: string \| undefined, _next: string \| undefined`  | `void`              |                |
| `parentIdFieldNameChanged`            | protected |             | `_prev: string \| undefined, _next: string \| undefined`  | `void`              |                |
| `columnsChanged`                      | protected |             | `_prev: TableColumn[] \| undefined, _next: TableColumn[]` | `void`              |                |

### Attributes

| Name                              | Field                        | Inherited From |
| --------------------------------- | ---------------------------- | -------------- |
| `id-field-name`                   | idFieldName                  |                |
| `parent-id-field-name`            | parentIdFieldName            |                |
| `selection-mode`                  | selectionMode                |                |
| `action-menus-preserve-selection` | actionMenusPreserveSelection |                |

<hr/>

## class: `Tabs`

### Superclass

| Name             | Module | Package             |
| ---------------- | ------ | ------------------- |
| `FoundationTabs` |        | @ni/fast-foundation |

### Fields

| Name              | Privacy | Type      | Default | Description | Inherited From |
| ----------------- | ------- | --------- | ------- | ----------- | -------------- |
| `activeindicator` |         | `boolean` | `false` |             |                |

<hr/>

## class: `TabsToolbar`

### Superclass

| Name                | Module | Package             |
| ------------------- | ------ | ------------------- |
| `FoundationElement` |        | @ni/fast-foundation |

<hr/>

## class: `TextArea`

### Superclass

| Name                 | Module | Package             |
| -------------------- | ------ | ------------------- |
| `FoundationTextArea` |        | @ni/fast-foundation |

### Fields

| Name                 | Privacy | Type                  | Default | Description                                                                       | Inherited From              |
| -------------------- | ------- | --------------------- | ------- | --------------------------------------------------------------------------------- | --------------------------- |
| `appearance`         | public  | `TextAreaAppearance`  |         | The appearance the text area should have.                                         |                             |
| `appearanceReadOnly` | public  | `boolean`             | `false` |                                                                                   |                             |
| `errorText`          | public  | `string \| undefined` |         | The error text that will be displayed when a component is in the error appearance | mixinErrorPattern           |
| `errorVisible`       | public  | `boolean`             | `false` |                                                                                   | mixinErrorPattern           |
| `errorHasOverflow`   | public  | `boolean`             | `false` |                                                                                   | mixinErrorPattern           |
| `requiredVisible`    | public  | `boolean`             | `false` |                                                                                   | mixinRequiredVisiblePattern |

### Attributes

| Name                  | Field              | Inherited From |
| --------------------- | ------------------ | -------------- |
| `appearance`          | appearance         |                |
| `appearance-readonly` | appearanceReadOnly |                |

<hr/>

## class: `TextField`

### Superclass

| Name                  | Module | Package             |
| --------------------- | ------ | ------------------- |
| `FoundationTextField` |        | @ni/fast-foundation |

### Fields

| Name                 | Privacy | Type                  | Default | Description                                                                       | Inherited From              |
| -------------------- | ------- | --------------------- | ------- | --------------------------------------------------------------------------------- | --------------------------- |
| `appearance`         | public  | `TextFieldAppearance` |         | The appearance the text field should have.                                        |                             |
| `fullBleed`          | public  | `boolean`             | `false` |                                                                                   |                             |
| `appearanceReadOnly` | public  | `boolean`             | `false` |                                                                                   |                             |
| `errorText`          | public  | `string \| undefined` |         | The error text that will be displayed when a component is in the error appearance | mixinErrorPattern           |
| `errorVisible`       | public  | `boolean`             | `false` |                                                                                   | mixinErrorPattern           |
| `errorHasOverflow`   | public  | `boolean`             | `false` |                                                                                   | mixinErrorPattern           |
| `requiredVisible`    | public  | `boolean`             | `false` |                                                                                   | mixinRequiredVisiblePattern |

### Attributes

| Name                  | Field              | Inherited From |
| --------------------- | ------------------ | -------------- |
| `appearance`          | appearance         |                |
| `full-bleed`          | fullBleed          |                |
| `appearance-readonly` | appearanceReadOnly |                |

<hr/>

## class: `ToggleButton`

### Superclass

| Name               | Module | Package             |
| ------------------ | ------ | ------------------- |
| `FoundationSwitch` |        | @ni/fast-foundation |

### Fields

| Name                | Privacy | Type                      | Default | Description | Inherited From |
| ------------------- | ------- | ------------------------- | ------- | ----------- | -------------- |
| `appearance`        | public  | `ButtonAppearance`        |         |             |                |
| `appearanceVariant` | public  | `ButtonAppearanceVariant` |         |             |                |
| `contentHidden`     | public  | `boolean`                 | `false` |             |                |
| `tabIndex`          | public  | `number`                  |         |             |                |

### Attributes

| Name                 | Field             | Inherited From |
| -------------------- | ----------------- | -------------- |
| `appearance`         | appearance        |                |
| `appearance-variant` | appearanceVariant |                |
| `content-hidden`     | contentHidden     |                |
| `tabindex`           | tabIndex          |                |

<hr/>

## class: `Toolbar`

### Superclass

| Name                | Module | Package             |
| ------------------- | ------ | ------------------- |
| `FoundationToolbar` |        | @ni/fast-foundation |

<hr/>

## class: `Tooltip`

### Superclass

| Name                | Module | Package             |
| ------------------- | ------ | ------------------- |
| `FoundationTooltip` |        | @ni/fast-foundation |

### Fields

| Name          | Privacy | Type              | Default | Description | Inherited From |
| ------------- | ------- | ----------------- | ------- | ----------- | -------------- |
| `severity`    | public  | `TooltipSeverity` |         |             |                |
| `iconVisible` | public  | `boolean`         | `false` |             |                |

### Attributes

| Name           | Field       | Inherited From |
| -------------- | ----------- | -------------- |
| `severity`     | severity    |                |
| `icon-visible` | iconVisible |                |

<hr/>

## class: `TreeItem`

### Superclass

| Name                 | Module | Package             |
| -------------------- | ------ | ------------------- |
| `FoundationTreeItem` |        | @ni/fast-foundation |

<hr/>

## class: `TreeView`

### Superclass

| Name                 | Module | Package             |
| -------------------- | ------ | ------------------- |
| `FoundationTreeView` |        | @ni/fast-foundation |

### Fields

| Name            | Privacy | Type                    | Default | Description | Inherited From |
| --------------- | ------- | ----------------------- | ------- | ----------- | -------------- |
| `selectionMode` | public  | `TreeViewSelectionMode` |         |             |                |

### Methods

| Name          | Privacy | Description | Parameters | Return    | Inherited From |
| ------------- | ------- | ----------- | ---------- | --------- | -------------- |
| `handleClick` | public  |             | `e: Event` | `boolean` |                |

### Attributes

| Name             | Field         | Inherited From |
| ---------------- | ------------- | -------------- |
| `selection-mode` | selectionMode |                |

<hr/>

## class: `WaferMap`

### Superclass

| Name                | Module | Package             |
| ------------------- | ------ | ------------------- |
| `FoundationElement` |        | @ni/fast-foundation |

### Static Fields

| Name    | Privacy | Type     | Default            | Description | Inherited From |
| ------- | ------- | -------- | ------------------ | ----------- | -------------- |
| `Arrow` | public  | `object` | `{ tableFromIPC }` |             |                |

### Fields

| Name              | Privacy | Type                     | Default                                                | Description | Inherited From |
| ----------------- | ------- | ------------------------ | ------------------------------------------------------ | ----------- | -------------- |
| `originLocation`  | public  | `WaferMapOriginLocation` |                                                        |             |                |
| `gridMinX`        | public  | `number \| undefined`    | `undefined`                                            |             |                |
| `gridMaxX`        | public  | `number \| undefined`    | `undefined`                                            |             |                |
| `gridMinY`        | public  | `number \| undefined`    | `undefined`                                            |             |                |
| `gridMaxY`        | public  | `number \| undefined`    | `undefined`                                            |             |                |
| `orientation`     | public  | `WaferMapOrientation`    |                                                        |             |                |
| `maxCharacters`   | public  | `number`                 | `4`                                                    |             |                |
| `dieLabelsHidden` | public  | `boolean`                | `false`                                                |             |                |
| `dieLabelsSuffix` | public  | `string`                 | `''`                                                   |             |                |
| `colorScaleMode`  | public  | `WaferMapColorScaleMode` |                                                        |             |                |
| `computations`    | public  | `Computations`           | `new Computations( this.asRequiredFieldsWaferMap )`    |             |                |
| `dataManager`     | public  | `DataManager`            | `new DataManager( this.asRequiredFieldsWaferMap )`     |             |                |
| `workerRenderer`  | public  |                          | `new WorkerRenderer( this.asRequiredFieldsWaferMap )`  |             |                |
| `renderer`        | public  | `RenderingModule`        | `new RenderingModule( this.asRequiredFieldsWaferMap )` |             |                |
| `highlightedTags` | public  | `string[]`               | `[]`                                                   |             |                |
| `dies`            | public  | `WaferMapDie[]`          | `[]`                                                   |             |                |
| `diesTable`       | public  | `Table<T> \| undefined`  |                                                        |             |                |
| `colorScale`      | public  | `WaferMapColorScale`     | `{ colors: [], values: [] }`                           |             |                |
| `validity`        | public  | `WaferMapValidity`       |                                                        |             |                |

### Methods

| Name      | Privacy | Description | Parameters                     | Return          | Inherited From |
| --------- | ------- | ----------- | ------------------------------ | --------------- | -------------- |
| `setData` | public  |             | `data: Table \| WaferMapDie[]` | `Promise<void>` |                |

### Attributes

| Name                | Field           | Inherited From |
| ------------------- | --------------- | -------------- |
| `origin-location`   | originLocation  |                |
| `grid-min-x`        | gridMinX        |                |
| `grid-max-x`        | gridMaxX        |                |
| `grid-min-y`        | gridMinY        |                |
| `grid-max-y`        | gridMaxY        |                |
| `orientation`       | orientation     |                |
| `max-characters`    | maxCharacters   |                |
| `die-labels-hidden` | dieLabelsHidden |                |
| `die-labels-suffix` | dieLabelsSuffix |                |
| `color-scale-mode`  | colorScaleMode  |                |

<hr/>

## class: `LabelProviderBase`

### Superclass

| Name                | Module | Package             |
| ------------------- | ------ | ------------------- |
| `FoundationElement` |        | @ni/fast-foundation |

### Fields

| Name              | Privacy   | Type              | Default | Description | Inherited From |
| ----------------- | --------- | ----------------- | ------- | ----------- | -------------- |
| `supportedLabels` | protected | `SupportedLabels` |         |             |                |

### Methods

| Name           | Privacy | Description | Parameters                                                                                         | Return | Inherited From |
| -------------- | ------- | ----------- | -------------------------------------------------------------------------------------------------- | ------ | -------------- |
| `handleChange` | public  |             | `_element: LabelProviderBase<SupportedLabels>, property: keyof LabelProviderBase<SupportedLabels>` | `void` |                |

<hr/>

## class: `LabelProviderCore`

### Superclass

| Name                | Module                   | Package |
| ------------------- | ------------------------ | ------- |
| `LabelProviderBase` | /src/label-provider/base |         |

### Fields

| Name                   | Privacy   | Type                  | Default                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          | Description | Inherited From    |
| ---------------------- | --------- | --------------------- |   | ----------- | ----------------- |
| `popupDismiss`         | public    | `string \| undefined` |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  |             |                   |
| `numericDecrement`     | public    | `string \| undefined` |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  |             |                   |
| `numericIncrement`     | public    | `string \| undefined` |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  |             |                   |
| `popupIconError`       | public    | `string \| undefined` |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  |             |                   |
| `popupIconWarning`     | public    | `string \| undefined` |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  |             |                   |
| `popupIconCompleted`   | public    | `string \| undefined` |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  |             |                   |
| `popupIconCurrent`     | public    | `string \| undefined` |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  |             |                   |
| `popupIconInformation` | public    | `string \| undefined` |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  |             |                   |
| `filterSearch`         | public    | `string \| undefined` |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  |             |                   |
| `filterNoResults`      | public    | `string \| undefined` |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  |             |                   |
| `loading`              | public    | `string \| undefined` |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  |             |                   |
| `scrollBackward`       | public    | `string \| undefined` |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  |             |                   |
| `scrollForward`        | public    | `string \| undefined` |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  |             |                   |
| `itemRemove`           | public    | `string \| undefined` |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  |             |                   |
| `supportedLabels`      | protected | `SupportedLabels`     | `{ popupDismiss: popupDismissLabel, numericDecrement: numericDecrementLabel, numericIncrement: numericIncrementLabel, popupIconError: popupIconErrorLabel, popupIconWarning: popupIconWarningLabel, popupIconCompleted: popupIconCompletedLabel, popupIconCurrent: popupIconCurrentLabel, popupIconInformation: popupIconInformationLabel, filterSearch: filterSearchLabel, filterNoResults: filterNoResultsLabel, loading: loadingLabel, scrollBackward: scrollBackwardLabel, scrollForward: scrollForwardLabel, itemRemove: itemRemoveLabel }` |             | LabelProviderBase |

### Methods

| Name           | Privacy | Description | Parameters                                                                                         | Return | Inherited From    |
| -------------- | ------- | ----------- | -------------------------------------------------------------------------------------------------- | ------ | ----------------- |
| `handleChange` | public  |             | `_element: LabelProviderBase<SupportedLabels>, property: keyof LabelProviderBase<SupportedLabels>` | `void` | LabelProviderBase |

### Attributes

| Name                     | Field                | Inherited From |
| ------------------------ | -------------------- | -------------- |
| `popup-dismiss`          | popupDismiss         |                |
| `numeric-decrement`      | numericDecrement     |                |
| `numeric-increment`      | numericIncrement     |                |
| `popup-icon-error`       | popupIconError       |                |
| `popup-icon-warning`     | popupIconWarning     |                |
| `popup-icon-completed`   | popupIconCompleted   |                |
| `popup-icon-current`     | popupIconCurrent     |                |
| `popup-icon-information` | popupIconInformation |                |
| `filter-search`          | filterSearch         |                |
| `filter-no-results`      | filterNoResults      |                |
| `loading`                | loading              |                |
| `scroll-backward`        | scrollBackward       |                |
| `scroll-forward`         | scrollForward        |                |
| `item-remove`            | itemRemove           |                |

<hr/>

## class: `LabelProviderRichText`

### Superclass

| Name                | Module                   | Package |
| ------------------- | ------------------------ | ------- |
| `LabelProviderBase` | /src/label-provider/base |         |

### Fields

| Name                 | Privacy   | Type                  | Default                                                                                                                                                                                        | Description | Inherited From    |
| -------------------- | --------- | --------------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ----------- | ----------------- |
| `toggleBold`         | public    | `string \| undefined` |                                                                                                                                                                                                |             |                   |
| `toggleItalics`      | public    | `string \| undefined` |                                                                                                                                                                                                |             |                   |
| `toggleBulletedList` | public    | `string \| undefined` |                                                                                                                                                                                                |             |                   |
| `toggleNumberedList` | public    | `string \| undefined` |                                                                                                                                                                                                |             |                   |
| `supportedLabels`    | protected | `SupportedLabels`     | `{ toggleBold: richTextToggleBoldLabel, toggleItalics: richTextToggleItalicsLabel, toggleBulletedList: richTextToggleBulletedListLabel, toggleNumberedList: richTextToggleNumberedListLabel }` |             | LabelProviderBase |

### Methods

| Name           | Privacy | Description | Parameters                                                                                         | Return | Inherited From    |
| -------------- | ------- | ----------- | -------------------------------------------------------------------------------------------------- | ------ | ----------------- |
| `handleChange` | public  |             | `_element: LabelProviderBase<SupportedLabels>, property: keyof LabelProviderBase<SupportedLabels>` | `void` | LabelProviderBase |

### Attributes

| Name                   | Field              | Inherited From |
| ---------------------- | ------------------ | -------------- |
| `toggle-bold`          | toggleBold         |                |
| `toggle-italics`       | toggleItalics      |                |
| `toggle-bulleted-list` | toggleBulletedList |                |
| `toggle-numbered-list` | toggleNumberedList |                |

<hr/>

## class: `LabelProviderTable`

### Superclass

| Name                | Module                   | Package |
| ------------------- | ------------------------ | ------- |
| `LabelProviderBase` | /src/label-provider/base |         |

### Fields

| Name                           | Privacy   | Type                  | Default                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        | Description | Inherited From    |
| ------------------------------ | --------- | --------------------- |   | ----------- | ----------------- |
| `groupCollapse`                | public    | `string \| undefined` |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |             |                   |
| `groupExpand`                  | public    | `string \| undefined` |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |             |                   |
| `rowCollapse`                  | public    | `string \| undefined` |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |             |                   |
| `rowExpand`                    | public    | `string \| undefined` |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |             |                   |
| `collapseAll`                  | public    | `string \| undefined` |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |             |                   |
| `cellActionMenu`               | public    | `string \| undefined` |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |             |                   |
| `columnHeaderGrouped`          | public    | `string \| undefined` |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |             |                   |
| `columnHeaderSortedAscending`  | public    | `string \| undefined` |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |             |                   |
| `columnHeaderSortedDescending` | public    | `string \| undefined` |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |             |                   |
| `selectAll`                    | public    | `string \| undefined` |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |             |                   |
| `groupSelectAll`               | public    | `string \| undefined` |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |             |                   |
| `rowSelect`                    | public    | `string \| undefined` |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |             |                   |
| `rowOperationColumn`           | public    | `string \| undefined` |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |             |                   |
| `rowLoading`                   | public    | `string \| undefined` |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |             |                   |
| `groupRowPlaceholderNoValue`   | public    | `string \| undefined` |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |             |                   |
| `groupRowPlaceholderEmpty`     | public    | `string \| undefined` |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |             |                   |
| `supportedLabels`              | protected | `SupportedLabels`     | `{ groupCollapse: tableGroupCollapseLabel, groupExpand: tableGroupExpandLabel, rowCollapse: tableRowCollapseLabel, rowExpand: tableRowExpandLabel, collapseAll: tableCollapseAllLabel, cellActionMenu: tableCellActionMenuLabel, columnHeaderGrouped: tableColumnHeaderGroupedLabel, columnHeaderSortedAscending: tableColumnHeaderSortedAscendingLabel, columnHeaderSortedDescending: tableColumnHeaderSortedDescendingLabel, selectAll: tableSelectAllLabel, groupSelectAll: tableGroupSelectAllLabel, rowSelect: tableRowSelectLabel, rowOperationColumn: tableRowOperationColumnLabel, rowLoading: tableRowLoadingLabel, groupRowPlaceholderNoValue: tableGroupRowPlaceholderNoValueLabel, groupRowPlaceholderEmpty: tableGroupRowPlaceholderEmptyLabel }` |             | LabelProviderBase |

### Methods

| Name           | Privacy | Description | Parameters                                                                                         | Return | Inherited From    |
| -------------- | ------- | ----------- | -------------------------------------------------------------------------------------------------- | ------ | ----------------- |
| `handleChange` | public  |             | `_element: LabelProviderBase<SupportedLabels>, property: keyof LabelProviderBase<SupportedLabels>` | `void` | LabelProviderBase |

### Attributes

| Name                              | Field                        | Inherited From |
| --------------------------------- | ---------------------------- | -------------- |
| `group-collapse`                  | groupCollapse                |                |
| `group-expand`                    | groupExpand                  |                |
| `row-collapse`                    | rowCollapse                  |                |
| `row-expand`                      | rowExpand                    |                |
| `collapse-all`                    | collapseAll                  |                |
| `cell-action-menu`                | cellActionMenu               |                |
| `column-header-grouped`           | columnHeaderGrouped          |                |
| `column-header-sorted-ascending`  | columnHeaderSortedAscending  |                |
| `column-header-sorted-descending` | columnHeaderSortedDescending |                |
| `select-all`                      | selectAll                    |                |
| `group-select-all`                | groupSelectAll               |                |
| `row-select`                      | rowSelect                    |                |
| `row-operation-column`            | rowOperationColumn           |                |
| `row-loading`                     | rowLoading                   |                |
| `group-row-placeholder-no-value`  | groupRowPlaceholderNoValue   |                |
| `group-row-placeholder-empty`     | groupRowPlaceholderEmpty     |                |

<hr/>

## class: `Mapping`

### Superclass

| Name                | Module | Package             |
| ------------------- | ------ | ------------------- |
| `FoundationElement` |        | @ni/fast-foundation |

### Fields

| Name       | Privacy | Type             | Default | Description                                                                                 | Inherited From |
| ---------- | ------- | ---------------- | ------- | ------------------------------------------------------------------------------------------- | -------------- |
| `keyValue` | public  | `T \| undefined` |         | Setter for the \`key\` property for environments that do not support properties named "key" |                |
| `key`      | public  | `T \| undefined` |         | The data value that is mapped to another representation                                     |                |

### Attributes

| Name  | Field | Inherited From |
| ----- | ----- | -------------- |
| `key` | key   |                |

<hr/>

## class: `MappingEmpty`

### Superclass

| Name      | Module            | Package |
| --------- | ----------------- | ------- |
| `Mapping` | /src/mapping/base |         |

### Fields

| Name       | Privacy | Type                  | Default | Description                                                                                 | Inherited From |
| ---------- | ------- | --------------------- | ------- | ------------------------------------------------------------------------------------------- | -------------- |
| `text`     | public  | `string \| undefined` |         |                                                                                             |                |
| `keyValue` | public  | `T \| undefined`      |         | Setter for the \`key\` property for environments that do not support properties named "key" | Mapping        |
| `key`      | public  | `T \| undefined`      |         | The data value that is mapped to another representation                                     | Mapping        |

### Attributes

| Name   | Field | Inherited From |
| ------ | ----- | -------------- |
| `text` | text  |                |
| `key`  | key   | Mapping        |

<hr/>

## class: `MappingIcon`

### Superclass

| Name      | Module            | Package |
| --------- | ----------------- | ------- |
| `Mapping` | /src/mapping/base |         |

### Fields

| Name         | Privacy | Type                  | Default | Description                                                                                 | Inherited From |
| ------------ | ------- | --------------------- | ------- | ------------------------------------------------------------------------------------------- | -------------- |
| `icon`       | public  | `string \| undefined` |         |                                                                                             |                |
| `severity`   | public  | `IconSeverity`        |         |                                                                                             |                |
| `text`       | public  | `string \| undefined` |         |                                                                                             |                |
| `textHidden` | public  | `boolean`             | `false` |                                                                                             |                |
| `keyValue`   | public  | `T \| undefined`      |         | Setter for the \`key\` property for environments that do not support properties named "key" | Mapping        |
| `key`        | public  | `T \| undefined`      |         | The data value that is mapped to another representation                                     | Mapping        |

### Attributes

| Name          | Field      | Inherited From |
| ------------- | ---------- | -------------- |
| `icon`        | icon       |                |
| `severity`    | severity   |                |
| `text`        | text       |                |
| `text-hidden` | textHidden |                |
| `key`         | key        | Mapping        |

<hr/>

## class: `MappingSpinner`

### Superclass

| Name      | Module            | Package |
| --------- | ----------------- | ------- |
| `Mapping` | /src/mapping/base |         |

### Fields

| Name         | Privacy | Type                  | Default | Description                                                                                 | Inherited From |
| ------------ | ------- | --------------------- | ------- | ------------------------------------------------------------------------------------------- | -------------- |
| `text`       | public  | `string \| undefined` |         |                                                                                             |                |
| `textHidden` | public  | `boolean`             | `false` |                                                                                             |                |
| `keyValue`   | public  | `T \| undefined`      |         | Setter for the \`key\` property for environments that do not support properties named "key" | Mapping        |
| `key`        | public  | `T \| undefined`      |         | The data value that is mapped to another representation                                     | Mapping        |

### Attributes

| Name          | Field      | Inherited From |
| ------------- | ---------- | -------------- |
| `text`        | text       |                |
| `text-hidden` | textHidden |                |
| `key`         | key        | Mapping        |

<hr/>

## class: `MappingText`

### Superclass

| Name      | Module            | Package |
| --------- | ----------------- | ------- |
| `Mapping` | /src/mapping/base |         |

### Fields

| Name       | Privacy | Type                  | Default | Description                                                                                 | Inherited From |
| ---------- | ------- | --------------------- | ------- | ------------------------------------------------------------------------------------------- | -------------- |
| `text`     | public  | `string \| undefined` |         |                                                                                             |                |
| `keyValue` | public  | `T \| undefined`      |         | Setter for the \`key\` property for environments that do not support properties named "key" | Mapping        |
| `key`      | public  | `T \| undefined`      |         | The data value that is mapped to another representation                                     | Mapping        |

### Attributes

| Name   | Field | Inherited From |
| ------ | ----- | -------------- |
| `text` | text  |                |
| `key`  | key   | Mapping        |

<hr/>

## class: `MappingUser`

### Superclass

| Name      | Module            | Package |
| --------- | ----------------- | ------- |
| `Mapping` | /src/mapping/base |         |

### Fields

| Name          | Privacy | Type                  | Default | Description                                                                                 | Inherited From |
| ------------- | ------- | --------------------- | ------- | ------------------------------------------------------------------------------------------- | -------------- |
| `displayName` | public  | `string \| undefined` |         |                                                                                             |                |
| `keyValue`    | public  | `T \| undefined`      |         | Setter for the \`key\` property for environments that do not support properties named "key" | Mapping        |
| `key`         | public  | `T \| undefined`      |         | The data value that is mapped to another representation                                     | Mapping        |

### Attributes

| Name           | Field       | Inherited From |
| -------------- | ----------- | -------------- |
| `display-name` | displayName |                |
| `key`          | key         | Mapping        |

<hr/>

## class: `RichText`

### Superclass

| Name                | Module | Package             |
| ------------------- | ------ | ------------------- |
| `FoundationElement` |        | @ni/fast-foundation |

### Fields

| Name                    | Privacy   | Type                         | Default                           | Description | Inherited From |
| ----------------------- | --------- | ---------------------------- | --------------------------------- | ----------- | -------------- |
| `configuration`         | protected | `Configuration \| undefined` |                                   |             |                |
| `mentionElements`       | protected | `RichTextMention[]`          |                                   |             |                |
| `richTextUpdateTracker` | protected |                              | `new RichTextUpdateTracker(this)` |             |                |
| `richTextValidator`     | protected |                              | `new RichTextValidator()`         |             |                |
| `validity`              | public    | `RichTextValidity`           |                                   |             |                |

### Methods

| Name            | Privacy   | Description | Parameters | Return    | Inherited From |
| --------------- | --------- | ----------- | ---------- | --------- | -------------- |
| `checkValidity` | public    |             |            | `boolean` |                |
| `validate`      | protected |             |            | `void`    |                |

<hr/>

## class: `RichTextEditor`

### Superclass

| Name       | Module              | Package |
| ---------- | ------------------- | ------- |
| `RichText` | /src/rich-text/base |         |

### Fields

| Name                    | Privacy   | Type                         | Default                           | Description                                                                       | Inherited From    |
| ----------------------- | --------- | ---------------------------- | --------------------------------- | --------------------------------------------------------------------------------- | ----------------- |
| `disabled`              | public    | `boolean`                    | `false`                           | Whether to disable user from editing and interacting with toolbar buttons         |                   |
| `footerHidden`          | public    | `boolean`                    | `false`                           | Whether to hide the footer of the rich text editor                                |                   |
| `placeholder`           | public    | `string \| undefined`        |                                   |                                                                                   |                   |
| `empty`                 | public    | `boolean`                    |                                   | True if the editor is empty or contains only whitespace, false otherwise.         |                   |
| `errorText`             | public    | `string \| undefined`        |                                   | The error text that will be displayed when a component is in the error appearance | mixinErrorPattern |
| `errorVisible`          | public    | `boolean`                    | `false`                           |                                                                                   | mixinErrorPattern |
| `errorHasOverflow`      | public    | `boolean`                    | `false`                           |                                                                                   | mixinErrorPattern |
| `configuration`         | protected | `Configuration \| undefined` |                                   |                                                                                   | RichText          |
| `mentionElements`       | protected | `RichTextMention[]`          |                                   |                                                                                   | RichText          |
| `richTextUpdateTracker` | protected |                              | `new RichTextUpdateTracker(this)` |                                                                                   | RichText          |
| `richTextValidator`     | protected |                              | `new RichTextValidator()`         |                                                                                   | RichText          |
| `validity`              | public    | `RichTextValidity`           |                                   |                                                                                   | RichText          |

### Methods

| Name                | Privacy   | Description                                                                                                      | Parameters         | Return     | Inherited From |
| ------------------- | --------- | ---------------------------------------------------------------------------------------------------------------- | ------------------ | ---------- | -------------- |
| `setMarkdown`       | public    | This function load tip tap editor with provided markdown content by parsing into html                            | `markdown: string` | `void`     |                |
| `getMarkdown`       | public    | This function returns markdown string by serializing tiptap editor document using prosemirror MarkdownSerializer |                    | `string`   |                |
| `getMentionedHrefs` | public    |                                                                                                                  |                    | `string[]` |                |
| `createConfig`      | public    |                                                                                                                  |                    | `void`     |                |
| `checkValidity`     | public    |                                                                                                                  |                    | `boolean`  | RichText       |
| `validate`          | protected |                                                                                                                  |                    | `void`     | RichText       |

### Attributes

| Name            | Field        | Inherited From |
| --------------- | ------------ | -------------- |
| `disabled`      | disabled     |                |
| `footer-hidden` | footerHidden |                |
| `placeholder`   | placeholder  |                |

<hr/>

## class: `RichTextMentionListbox`

### Superclass

| Name                | Module | Package             |
| ------------------- | ------ | ------------------- |
| `FoundationListbox` |        | @ni/fast-foundation |

### Fields

| Name      | Privacy | Type              | Default | Description          | Inherited From |
| --------- | ------- | ----------------- | ------- | -------------------- | -------------- |
| `options` | public  | `ListboxOption[]` |         | The list of options. |                |

### Methods

| Name             | Privacy | Description                                                             | Parameters                           | Return    | Inherited From |
| ---------------- | ------- | ----------------------------------------------------------------------- | ------------------------------------ | --------- | -------------- |
| `close`          | public  |                                                                         |                                      | `void`    |                |
| `show`           | public  | Triggers when the mention plugin is activated upon pressing the \`key\` | `options: MentionListboxShowOptions` | `void`    |                |
| `keydownHandler` | public  | Handle keydown actions for listbox navigation and selection.            | `event: KeyboardEvent, e`            | `boolean` |                |

<hr/>

## class: `RichTextViewer`

### Superclass

| Name       | Module              | Package |
| ---------- | ------------------- | ------- |
| `RichText` | /src/rich-text/base |         |

### Fields

| Name                    | Privacy   | Type                         | Default                           | Description | Inherited From |
| ----------------------- | --------- | ---------------------------- | --------------------------------- | ----------- | -------------- |
| `markdown`              | public    | `string`                     | `''`                              |             |                |
| `configuration`         | protected | `Configuration \| undefined` |                                   |             | RichText       |
| `mentionElements`       | protected | `RichTextMention[]`          |                                   |             | RichText       |
| `richTextUpdateTracker` | protected |                              | `new RichTextUpdateTracker(this)` |             | RichText       |
| `richTextValidator`     | protected |                              | `new RichTextValidator()`         |             | RichText       |
| `validity`              | public    | `RichTextValidity`           |                                   |             | RichText       |

### Methods

| Name                | Privacy   | Description | Parameters | Return     | Inherited From |
| ------------------- | --------- | ----------- | ---------- | ---------- | -------------- |
| `getMentionedHrefs` | public    |             |            | `string[]` |                |
| `checkValidity`     | public    |             |            | `boolean`  | RichText       |
| `validate`          | protected |             |            | `void`     | RichText       |

### Attributes

| Name       | Field    | Inherited From |
| ---------- | -------- | -------------- |
| `markdown` | markdown |                |

<hr/>

## class: `RichTextMention`

### Superclass

| Name                | Module | Package             |
| ------------------- | ------ | ------------------- |
| `FoundationElement` |        | @ni/fast-foundation |

### Fields

| Name          | Privacy | Type                      | Default | Description                                                                                   | Inherited From |
| ------------- | ------- | ------------------------- | ------- | --------------------------------------------------------------------------------------------- | -------------- |
| `pattern`     | public  | `string \| undefined`     |         | A regex used to extract user ID from user key (url) while parsing and serializing a markdown. |                |
| `buttonLabel` | public  | `string \| undefined`     |         |                                                                                               |                |
| `validity`    | public  | `RichTextMentionValidity` |         |                                                                                               |                |

### Methods

| Name                         | Privacy   | Description | Parameters                  | Return                                | Inherited From |
| ---------------------------- | --------- | ----------- | --------------------------- | ------------------------------------- | -------------- |
| `checkValidity`              | public    |             |                             | `boolean`                             |                |
| `getObservedMappingProperty` | protected |             |                             | `string[]`                            |                |
| `getMentionInternalsOptions` | protected |             |                             | `MentionInternalsOptions<TValidator>` |                |
| `createMappingConfig`        | protected |             | `mapping: Mapping<unknown>` | `MappingConfig`                       |                |

### Attributes

| Name           | Field       | Inherited From |
| -------------- | ----------- | -------------- |
| `pattern`      | pattern     |                |
| `button-label` | buttonLabel |                |

<hr/>

## class: `RichTextMentionUsers`

### Superclass

| Name              | Module                      | Package |
| ----------------- | --------------------------- | ------- |
| `RichTextMention` | /src/rich-text-mention/base |         |

### Fields

| Name          | Privacy | Type                      | Default | Description                                                                                   | Inherited From  |
| ------------- | ------- | ------------------------- | ------- | --------------------------------------------------------------------------------------------- | --------------- |
| `pattern`     | public  | `string \| undefined`     |         | A regex used to extract user ID from user key (url) while parsing and serializing a markdown. | RichTextMention |
| `buttonLabel` | public  | `string \| undefined`     |         |                                                                                               | RichTextMention |
| `validity`    | public  | `RichTextMentionValidity` |         |                                                                                               | RichTextMention |

### Methods

| Name                         | Privacy   | Description | Parameters                         | Return                                                   | Inherited From  |
| ---------------------------- | --------- | ----------- | ---------------------------------- | -------------------------------------------------------- | --------------- |
| `getMentionInternalsOptions` | protected |             |                                    | `MentionInternalsOptions<RichTextMentionUsersValidator>` | RichTextMention |
| `getObservedMappingProperty` | protected |             |                                    | `string[]`                                               | RichTextMention |
| `createMappingConfig`        | protected |             | `mapping: Mapping<MappingUserKey>` | `MappingConfig`                                          | RichTextMention |
| `checkValidity`              | public    |             |                                    | `boolean`                                                | RichTextMention |

### Attributes

| Name           | Field       | Inherited From  |
| -------------- | ----------- | --------------- |
| `pattern`      | pattern     | RichTextMention |
| `button-label` | buttonLabel | RichTextMention |

<hr/>

## class: `TableColumnAnchor`

### Superclass

| Name | Module                           | Package |
| ---- | -------------------------------- | ------- |
|      | src/table-column/anchor/index.ts |         |

### Fields

| Name               | Privacy | Type                            | Default | Description | Inherited From                |
| ------------------ | ------- | ------------------------------- | ------- | ----------- | ----------------------------- |
| `labelFieldName`   | public  | `string \| undefined`           |         |             |                               |
| `hrefFieldName`    | public  | `string \| undefined`           |         |             |                               |
| `appearance`       | public  | `AnchorAppearance \| undefined` |         |             |                               |
| `underlineHidden`  | public  | `boolean`                       | `false` |             |                               |
| `hreflang`         | public  | `string \| undefined`           |         |             |                               |
| `ping`             | public  | `string \| undefined`           |         |             |                               |
| `referrerpolicy`   | public  | `string \| undefined`           |         |             |                               |
| `rel`              | public  | `string \| undefined`           |         |             |                               |
| `target`           | public  | `string \| undefined`           |         |             |                               |
| `type`             | public  | `string \| undefined`           |         |             |                               |
| `download`         | public  | `string \| undefined`           |         |             |                               |
| `groupingDisabled` | public  | `boolean`                       | `false` |             | mixinGroupableColumnAPI       |
| `groupIndex`       | public  | `number \| null \| undefined`   |         |             | mixinGroupableColumnAPI       |
| `fractionalWidth`  | public  | `number \| null \| undefined`   |         |             | mixinFractionalWidthColumnAPI |
| `minPixelWidth`    | public  | `number \| null \| undefined`   |         |             | mixinFractionalWidthColumnAPI |
| `placeholder`      | public  | `string \| undefined`           |         |             | mixinColumnWithPlaceholderAPI |
| `sortingDisabled`  | public  | `boolean`                       | `false` |             | mixinSortableColumnAPI        |
| `sortIndex`        | public  | `number \| null \| undefined`   |         |             | mixinSortableColumnAPI        |
| `sortDirection`    | public  | `TableColumnSortDirection`      |         |             | mixinSortableColumnAPI        |
| `sortByFieldName`  | public  | `string \| undefined`           |         |             | mixinCustomSortOrderColumnAPI |

### Methods

| Name                                    | Privacy   | Description | Parameters                                       | Return                                               | Inherited From                |
| --------------------------------------- | --------- | ----------- | ------------------------------------------------ | ---------------------------------------------------- | ----------------------------- |
| `placeholderChanged`                    | public    |             |                                                  | `void`                                               |                               |
| `handleSortConfigurationChange`         | public    |             |                                                  | `void`                                               | mixinCustomSortOrderColumnAPI |
| `getColumnInternalsOptions`             | protected |             |                                                  | `ColumnInternalsOptions<TableColumnAnchorValidator>` |                               |
| `labelFieldNameChanged`                 | protected |             |                                                  | `void`                                               |                               |
| `hrefFieldNameChanged`                  | protected |             |                                                  | `void`                                               |                               |
| `appearanceChanged`                     | protected |             |                                                  | `void`                                               |                               |
| `underlineHiddenChanged`                | protected |             |                                                  | `void`                                               |                               |
| `hreflangChanged`                       | protected |             |                                                  | `void`                                               |                               |
| `pingChanged`                           | protected |             |                                                  | `void`                                               |                               |
| `referrerpolicyChanged`                 | protected |             |                                                  | `void`                                               |                               |
| `relChanged`                            | protected |             |                                                  | `void`                                               |                               |
| `targetChanged`                         | protected |             |                                                  | `void`                                               |                               |
| `typeChanged`                           | protected |             |                                                  | `void`                                               |                               |
| `downloadChanged`                       | protected |             |                                                  | `void`                                               |                               |
| `groupingDisabledChanged`               | public    |             |                                                  | `void`                                               | mixinGroupableColumnAPI       |
| `groupIndexChanged`                     | public    |             |                                                  | `void`                                               | mixinGroupableColumnAPI       |
| `fractionalWidthChanged`                | public    |             |                                                  | `void`                                               | mixinFractionalWidthColumnAPI |
| `minPixelWidthChanged`                  | public    |             |                                                  | `void`                                               | mixinFractionalWidthColumnAPI |
| `getResolvedOperandDataRecordFieldName` | public    |             | `initialOperandFieldName: string \| undefined`   | `string \| undefined`                                | mixinCustomSortOrderColumnAPI |
| `getResolvedSortOperation`              | public    |             | `initialSortOperation: TableColumnSortOperation` | `TableColumnSortOperation`                           | mixinCustomSortOrderColumnAPI |

### Attributes

| Name               | Field           | Inherited From |
| ------------------ | --------------- | -------------- |
| `label-field-name` | labelFieldName  |                |
| `href-field-name`  | hrefFieldName   |                |
| `appearance`       | appearance      |                |
| `underline-hidden` | underlineHidden |                |
| `hreflang`         | hreflang        |                |
| `ping`             | ping            |                |
| `referrerpolicy`   | referrerpolicy  |                |
| `rel`              | rel             |                |
| `target`           | target          |                |
| `type`             | type            |                |
| `download`         | download        |                |

<hr/>

## class: `TableColumn`

### Superclass

| Name                | Module | Package             |
| ------------------- | ------ | ------------------- |
| `FoundationElement` |        | @ni/fast-foundation |

### Fields

| Name              | Privacy | Type                  | Default | Description | Inherited From |
| ----------------- | ------- | --------------------- | ------- | ----------- | -------------- |
| `columnId`        | public  | `string \| undefined` |         |             |                |
| `actionMenuSlot`  | public  | `string \| undefined` |         |             |                |
| `actionMenuLabel` | public  | `string \| undefined` |         |             |                |
| `columnHidden`    | public  | `boolean`             | `false` |             |                |
| `validity`        | public  | `TableColumnValidity` |         |             |                |

### Methods

| Name                        | Privacy   | Description | Parameters | Return                                     | Inherited From |
| --------------------------- | --------- | ----------- | ---------- | ------------------------------------------ | -------------- |
| `checkValidity`             | public    |             |            | `boolean`                                  |                |
| `getColumnInternalsOptions` | protected |             |            | `ColumnInternalsOptions<TColumnValidator>` |                |

### Attributes

| Name                | Field           | Inherited From |
| ------------------- | --------------- | -------------- |
| `column-id`         | columnId        |                |
| `action-menu-slot`  | actionMenuSlot  |                |
| `action-menu-label` | actionMenuLabel |                |
| `column-hidden`     | columnHidden    |                |

<hr/>

## class: `TableColumnDateText`

### Superclass

| Name | Module                              | Package |
| ---- | ----------------------------------- | ------- |
|      | src/table-column/date-text/index.ts |         |

### Fields

| Name                    | Privacy | Type                     | Default | Description | Inherited From |
| ----------------------- | ------- | ------------------------ | ------- | ----------- | -------------- |
| `format`                | public  | `DateTextFormat`         |         |             |                |
| `customLocaleMatcher`   | public  | `LocaleMatcherAlgorithm` |         |             |                |
| `customWeekday`         | public  | `WeekdayFormat`          |         |             |                |
| `customEra`             | public  | `EraFormat`              |         |             |                |
| `customYear`            | public  | `YearFormat`             |         |             |                |
| `customMonth`           | public  | `MonthFormat`            |         |             |                |
| `customDay`             | public  | `DayFormat`              |         |             |                |
| `customHour`            | public  | `HourFormat`             |         |             |                |
| `customMinute`          | public  | `MinuteFormat`           |         |             |                |
| `customSecond`          | public  | `SecondFormat`           |         |             |                |
| `customTimeZoneName`    | public  | `TimeZoneNameFormat`     |         |             |                |
| `customFormatMatcher`   | public  | `FormatMatcherAlgorithm` |         |             |                |
| `customHour12`          | public  | `boolean \| undefined`   |         |             |                |
| `customTimeZone`        | public  | `string \| undefined`    |         |             |                |
| `customCalendar`        | public  | `string \| undefined`    |         |             |                |
| `customDayPeriod`       | public  | `DayPeriodFormat`        |         |             |                |
| `customNumberingSystem` | public  | `string \| undefined`    |         |             |                |
| `customDateStyle`       | public  | `DateStyle`              |         |             |                |
| `customTimeStyle`       | public  | `TimeStyle`              |         |             |                |
| `customHourCycle`       | public  | `HourCycleFormat`        |         |             |                |

### Methods

| Name                           | Privacy   | Description | Parameters | Return                                                 | Inherited From |
| ------------------------------ | --------- | ----------- | ---------- | ------------------------------------------------------ | -------------- |
| `placeholderChanged`           | public    |             |            | `void`                                                 |                |
| `getColumnInternalsOptions`    | protected |             |            | `ColumnInternalsOptions<TableColumnDateTextValidator>` |                |
| `formatChanged`                | protected |             |            | `void`                                                 |                |
| `customLocaleMatcherChanged`   | protected |             |            | `void`                                                 |                |
| `customWeekdayChanged`         | protected |             |            | `void`                                                 |                |
| `customEraChanged`             | protected |             |            | `void`                                                 |                |
| `customYearChanged`            | protected |             |            | `void`                                                 |                |
| `customMonthChanged`           | protected |             |            | `void`                                                 |                |
| `customDayChanged`             | protected |             |            | `void`                                                 |                |
| `customHourChanged`            | protected |             |            | `void`                                                 |                |
| `customMinuteChanged`          | protected |             |            | `void`                                                 |                |
| `customSecondChanged`          | protected |             |            | `void`                                                 |                |
| `customTimeZoneNameChanged`    | protected |             |            | `void`                                                 |                |
| `customFormatMatcherChanged`   | protected |             |            | `void`                                                 |                |
| `customHour12Changed`          | protected |             |            | `void`                                                 |                |
| `customTimeZoneChanged`        | protected |             |            | `void`                                                 |                |
| `customCalendarChanged`        | protected |             |            | `void`                                                 |                |
| `customDayPeriodChanged`       | protected |             |            | `void`                                                 |                |
| `customNumberingSystemChanged` | protected |             |            | `void`                                                 |                |
| `customDateStyleChanged`       | protected |             |            | `void`                                                 |                |
| `customTimeStyleChanged`       | protected |             |            | `void`                                                 |                |
| `customHourCycleChanged`       | protected |             |            | `void`                                                 |                |

### Attributes

| Name                      | Field                 | Inherited From |
| ------------------------- | --------------------- | -------------- |
| `format`                  | format                |                |
| `custom-locale-matcher`   | customLocaleMatcher   |                |
| `custom-weekday`          | customWeekday         |                |
| `custom-era`              | customEra             |                |
| `custom-year`             | customYear            |                |
| `custom-month`            | customMonth           |                |
| `custom-day`              | customDay             |                |
| `custom-hour`             | customHour            |                |
| `custom-minute`           | customMinute          |                |
| `custom-second`           | customSecond          |                |
| `custom-time-zone-name`   | customTimeZoneName    |                |
| `custom-format-matcher`   | customFormatMatcher   |                |
| `custom-hour12`           | customHour12          |                |
| `custom-time-zone`        | customTimeZone        |                |
| `custom-calendar`         | customCalendar        |                |
| `custom-day-period`       | customDayPeriod       |                |
| `custom-numbering-system` | customNumberingSystem |                |
| `custom-date-style`       | customDateStyle       |                |
| `custom-time-style`       | customTimeStyle       |                |
| `custom-hour-cycle`       | customHourCycle       |                |

<hr/>

## class: `TableColumnDurationText`

### Superclass

| Name | Module                                  | Package |
| ---- | --------------------------------------- | ------- |
|      | src/table-column/duration-text/index.ts |         |

### Methods

| Name                        | Privacy   | Description | Parameters | Return                   | Inherited From |
| --------------------------- | --------- | ----------- | ---------- | ------------------------ | -------------- |
| `placeholderChanged`        | public    |             |            | `void`                   |                |
| `getColumnInternalsOptions` | protected |             |            | `ColumnInternalsOptions` |                |

<hr/>

## class: `TableColumnEnumBase`

### Superclass

| Name          | Module                 | Package |
| ------------- | ---------------------- | ------- |
| `TableColumn` | /src/table-column/base |         |

### Fields

| Name              | Privacy | Type                  | Default    | Description | Inherited From |
| ----------------- | ------- | --------------------- | ---------- | ----------- | -------------- |
| `fieldName`       | public  | `string \| undefined` |            |             |                |
| `keyType`         | public  | `MappingKeyType`      | `'string'` |             |                |
| `columnId`        | public  | `string \| undefined` |            |             | TableColumn    |
| `actionMenuSlot`  | public  | `string \| undefined` |            |             | TableColumn    |
| `actionMenuLabel` | public  | `string \| undefined` |            |             | TableColumn    |
| `columnHidden`    | public  | `boolean`             | `false`    |             | TableColumn    |
| `validity`        | public  | `TableColumnValidity` |            |             | TableColumn    |

### Methods

| Name                        | Privacy   | Description                                                            | Parameters                       | Return                                     | Inherited From |
| --------------------------- | --------- | ---------------------------------------------------------------------- | -------------------------------- | ------------------------------------------ | -------------- |
| `createMappingConfig`       | protected | Implementations should throw an error if an invalid Mapping is passed. | `mapping: Mapping<unknown>`      | `MappingConfig`                            |                |
| `createColumnConfig`        | protected |                                                                        | `mappingConfigs: MappingConfigs` | `TColumnConfig`                            |                |
| `checkValidity`             | public    |                                                                        |                                  | `boolean`                                  | TableColumn    |
| `getColumnInternalsOptions` | protected |                                                                        |                                  | `ColumnInternalsOptions<TColumnValidator>` | TableColumn    |

### Attributes

| Name                | Field           | Inherited From |
| ------------------- | --------------- | -------------- |
| `field-name`        | fieldName       |                |
| `key-type`          | keyType         |                |
| `column-id`         | columnId        | TableColumn    |
| `action-menu-slot`  | actionMenuSlot  | TableColumn    |
| `action-menu-label` | actionMenuLabel | TableColumn    |
| `column-hidden`     | columnHidden    | TableColumn    |

<hr/>

## class: `TableColumnMapping`

### Superclass

| Name | Module                            | Package |
| ---- | --------------------------------- | ------- |
|      | src/table-column/mapping/index.ts |         |

### Fields

| Name               | Privacy | Type                          | Default | Description | Inherited From                |
| ------------------ | ------- | ----------------------------- | ------- | ----------- | ----------------------------- |
| `widthMode`        | public  | `TableColumnMappingWidthMode` |         |             |                               |
| `groupingDisabled` | public  | `boolean`                     | `false` |             | mixinGroupableColumnAPI       |
| `groupIndex`       | public  | `number \| null \| undefined` |         |             | mixinGroupableColumnAPI       |
| `fractionalWidth`  | public  | `number \| null \| undefined` |         |             | mixinFractionalWidthColumnAPI |
| `minPixelWidth`    | public  | `number \| null \| undefined` |         |             | mixinFractionalWidthColumnAPI |
| `sortingDisabled`  | public  | `boolean`                     | `false` |             | mixinSortableColumnAPI        |
| `sortIndex`        | public  | `number \| null \| undefined` |         |             | mixinSortableColumnAPI        |
| `sortDirection`    | public  | `TableColumnSortDirection`    |         |             | mixinSortableColumnAPI        |

### Methods

| Name                        | Privacy   | Description | Parameters                       | Return                                                | Inherited From                |
| --------------------------- | --------- | ----------- | -------------------------------- | ----------------------------------------------------- | ----------------------------- |
| `minPixelWidthChanged`      | public    |             |                                  | `void`                                                | mixinFractionalWidthColumnAPI |
| `getColumnInternalsOptions` | protected |             |                                  | `ColumnInternalsOptions<TableColumnMappingValidator>` |                               |
| `createColumnConfig`        | protected |             | `mappingConfigs: MappingConfigs` | `TableColumnEnumColumnConfig`                         |                               |
| `createMappingConfig`       | protected |             | `mapping: Mapping<unknown>`      | `MappingConfig`                                       |                               |
| `groupingDisabledChanged`   | public    |             |                                  | `void`                                                | mixinGroupableColumnAPI       |
| `groupIndexChanged`         | public    |             |                                  | `void`                                                | mixinGroupableColumnAPI       |
| `fractionalWidthChanged`    | public    |             |                                  | `void`                                                | mixinFractionalWidthColumnAPI |

### Attributes

| Name         | Field     | Inherited From |
| ------------ | --------- | -------------- |
| `width-mode` | widthMode |                |

<hr/>

## class: `TableColumnMenuButton`

### Superclass

| Name | Module                                | Package |
| ---- | ------------------------------------- | ------- |
|      | src/table-column/menu-button/index.ts |         |

### Fields

| Name              | Privacy | Type                          | Default | Description | Inherited From                |
| ----------------- | ------- | ----------------------------- | ------- | ----------- | ----------------------------- |
| `fieldName`       | public  | `string \| undefined`         |         |             |                               |
| `menuSlot`        | public  | `string \| undefined`         |         |             |                               |
| `fractionalWidth` | public  | `number \| null \| undefined` |         |             | mixinFractionalWidthColumnAPI |
| `minPixelWidth`   | public  | `number \| null \| undefined` |         |             | mixinFractionalWidthColumnAPI |

### Methods

| Name                        | Privacy   | Description | Parameters | Return                   | Inherited From                |
| --------------------------- | --------- | ----------- | ---------- | ------------------------ | ----------------------------- |
| `getColumnInternalsOptions` | protected |             |            | `ColumnInternalsOptions` |                               |
| `fieldNameChanged`          | protected |             |            | `void`                   |                               |
| `menuSlotChanged`           | protected |             |            | `void`                   |                               |
| `fractionalWidthChanged`    | public    |             |            | `void`                   | mixinFractionalWidthColumnAPI |
| `minPixelWidthChanged`      | public    |             |            | `void`                   | mixinFractionalWidthColumnAPI |

### Attributes

| Name         | Field     | Inherited From |
| ------------ | --------- | -------------- |
| `field-name` | fieldName |                |
| `menu-slot`  | menuSlot  |                |

<hr/>

## class: `TableColumnNumberText`

### Superclass

| Name | Module                                | Package |
| ---- | ------------------------------------- | ------- |
|      | src/table-column/number-text/index.ts |         |

### Fields

| Name                   | Privacy | Type                  | Default | Description | Inherited From |
| ---------------------- | ------- | --------------------- | ------- | ----------- | -------------- |
| `format`               | public  | `NumberTextFormat`    |         |             |                |
| `alignment`            | public  | `NumberTextAlignment` |         |             |                |
| `decimalDigits`        | public  | `number \| undefined` |         |             |                |
| `decimalMaximumDigits` | public  | `number \| undefined` |         |             |                |

### Methods

| Name                        | Privacy   | Description | Parameters | Return                                                   | Inherited From |
| --------------------------- | --------- | ----------- | ---------- | -------------------------------------------------------- | -------------- |
| `placeholderChanged`        | public    |             |            | `void`                                                   |                |
| `getColumnInternalsOptions` | protected |             |            | `ColumnInternalsOptions<TableColumnNumberTextValidator>` |                |

### Attributes

| Name                     | Field                | Inherited From |
| ------------------------ | -------------------- | -------------- |
| `format`                 | format               |                |
| `alignment`              | alignment            |                |
| `decimal-digits`         | decimalDigits        |                |
| `decimal-maximum-digits` | decimalMaximumDigits |                |

<hr/>

## class: `TableColumnText`

### Superclass

| Name | Module                         | Package |
| ---- | ------------------------------ | ------- |
|      | src/table-column/text/index.ts |         |

### Fields

| Name              | Privacy | Type                  | Default | Description | Inherited From                |
| ----------------- | ------- | --------------------- | ------- | ----------- | ----------------------------- |
| `sortByFieldName` | public  | `string \| undefined` |         |             | mixinCustomSortOrderColumnAPI |

### Methods

| Name                                    | Privacy   | Description | Parameters                                       | Return                                             | Inherited From                |
| --------------------------------------- | --------- | ----------- | ------------------------------------------------ | -------------------------------------------------- | ----------------------------- |
| `placeholderChanged`                    | public    |             |                                                  | `void`                                             |                               |
| `handleSortConfigurationChange`         | public    |             |                                                  | `void`                                             | mixinCustomSortOrderColumnAPI |
| `getColumnInternalsOptions`             | protected |             |                                                  | `ColumnInternalsOptions<TableColumnTextValidator>` |                               |
| `fieldNameChanged`                      | protected |             |                                                  | `void`                                             |                               |
| `getResolvedOperandDataRecordFieldName` | public    |             | `initialOperandFieldName: string \| undefined`   | `string \| undefined`                              | mixinCustomSortOrderColumnAPI |
| `getResolvedSortOperation`              | public    |             | `initialSortOperation: TableColumnSortOperation` | `TableColumnSortOperation`                         | mixinCustomSortOrderColumnAPI |

<hr/>

## class: `TableColumnTextBase`

### Superclass

| Name          | Module                 | Package |
| ------------- | ---------------------- | ------- |
| `TableColumn` | /src/table-column/base |         |

### Fields

| Name              | Privacy | Type                  | Default | Description | Inherited From |
| ----------------- | ------- | --------------------- | ------- | ----------- | -------------- |
| `fieldName`       | public  | `string \| undefined` |         |             |                |
| `columnId`        | public  | `string \| undefined` |         |             | TableColumn    |
| `actionMenuSlot`  | public  | `string \| undefined` |         |             | TableColumn    |
| `actionMenuLabel` | public  | `string \| undefined` |         |             | TableColumn    |
| `columnHidden`    | public  | `boolean`             | `false` |             | TableColumn    |
| `validity`        | public  | `TableColumnValidity` |         |             | TableColumn    |

### Methods

| Name                        | Privacy   | Description | Parameters | Return                                     | Inherited From |
| --------------------------- | --------- | ----------- | ---------- | ------------------------------------------ | -------------- |
| `fieldNameChanged`          | protected |             |            | `void`                                     |                |
| `checkValidity`             | public    |             |            | `boolean`                                  | TableColumn    |
| `getColumnInternalsOptions` | protected |             |            | `ColumnInternalsOptions<TColumnValidator>` | TableColumn    |

### Attributes

| Name                | Field           | Inherited From |
| ------------------- | --------------- | -------------- |
| `field-name`        | fieldName       |                |
| `column-id`         | columnId        | TableColumn    |
| `action-menu-slot`  | actionMenuSlot  | TableColumn    |
| `action-menu-label` | actionMenuLabel | TableColumn    |
| `column-hidden`     | columnHidden    | TableColumn    |

<hr/>

## class: `Unit`

### Superclass

| Name                | Module | Package             |
| ------------------- | ------ | ------------------- |
| `FoundationElement` |        | @ni/fast-foundation |

<hr/>

## class: `UnitByte`

### Superclass

| Name   | Module              | Package |
| ------ | ------------------- | ------- |
| `Unit` | /src/unit/base/unit |         |

### Fields

| Name                | Privacy | Type      | Default         | Description                                                                                                                    | Inherited From |
| ------------------- | ------- | --------- | --------------- | ------------------------------------------------------------------------------------------------------------------------------ | -------------- |
| `binary`            | public  | `boolean` | `false`         | Use binary (base 1024 scale with binary prefixes) instead of&#xA;the default of decimal (base 1000 scale with metric prefixes) |                |
| `resolvedUnitScale` |         |           | `unitScaleByte` |                                                                                                                                |                |

### Attributes

| Name     | Field  | Inherited From |
| -------- | ------ | -------------- |
| `binary` | binary |                |

<hr/>

## class: `UnitCelsius`

### Superclass

| Name   | Module              | Package |
| ------ | ------------------- | ------- |
| `Unit` | /src/unit/base/unit |         |

### Fields

| Name                | Privacy | Type | Default            | Description | Inherited From |
| ------------------- | ------- | ---- | ------------------ | ----------- | -------------- |
| `resolvedUnitScale` |         |      | `unitScaleCelsius` |             |                |

<hr/>

## class: `UnitFahrenheit`

### Superclass

| Name   | Module              | Package |
| ------ | ------------------- | ------- |
| `Unit` | /src/unit/base/unit |         |

### Fields

| Name                | Privacy | Type | Default               | Description | Inherited From |
| ------------------- | ------- | ---- | --------------------- | ----------- | -------------- |
| `resolvedUnitScale` |         |      | `unitScaleFahrenheit` |             |                |

<hr/>

## class: `UnitVolt`

### Superclass

| Name   | Module              | Package |
| ------ | ------------------- | ------- |
| `Unit` | /src/unit/base/unit |         |

### Fields

| Name                | Privacy | Type | Default         | Description | Inherited From |
| ------------------- | ------- | ---- | --------------- | ----------- | -------------- |
| `resolvedUnitScale` |         |      | `unitScaleVolt` |             |                |

<hr/>

## class: `Computations`

### Fields

| Name                    | Privacy | Type                          | Default | Description | Inherited From |
| ----------------------- | ------- | ----------------------------- | ------- | ----------- | -------------- |
| `horizontalScale`       | public  | `ScaleLinear<number, number>` |         |             |                |
| `verticalScale`         | public  | `ScaleLinear<number, number>` |         |             |                |
| `containerDimensions`   | public  | `Dimensions`                  |         |             |                |
| `dieDimensions`         | public  | `Dimensions`                  |         |             |                |
| `margin`                | public  | `Margin`                      |         |             |                |
| `verticalCoefficient`   | public  | `number`                      |         |             |                |
| `horizontalCoefficient` | public  | `number`                      |         |             |                |
| `horizontalConstant`    | public  | `number`                      |         |             |                |
| `verticalConstant`      | public  | `number`                      |         |             |                |
| `gridMinX`              | public  | `number`                      |         |             |                |
| `gridMaxX`              | public  | `number`                      |         |             |                |
| `gridMinY`              | public  | `number`                      |         |             |                |
| `gridMaxY`              | public  | `number`                      |         |             |                |
| `labelsFontSize`        | public  | `number`                      |         |             |                |
| `colorScale`            | public  | `ColorScale`                  |         |             |                |

### Methods

| Name                    | Privacy | Description | Parameters | Return | Inherited From |
| ----------------------- | ------- | ----------- | ---------- | ------ | -------------- |
| `componentResizeUpdate` | public  |             |            | `void` |                |
| `inputDataUpdate`       | public  |             |            | `void` |                |
| `colorAndTextUpdate`    | public  |             |            | `void` |                |

<hr/>

## class: `HoverHandler`

<hr/>

## class: `WorkerRenderer`

### Methods

| Name          | Privacy | Description | Parameters                                                                                                                                                                                    | Return          | Inherited From |
| ------------- | ------- | ----------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | --------------- | -------------- |
| `setupWafer`  | public  |             | `snapshot: {
        canvasDimensions: Dimensions,
        renderConfig: RenderConfig,
        columnIndices: Int32Array,
        rowIndices: Int32Array,
        values: Float64Array
    }` | `Promise<void>` |                |
| `drawWafer`   | public  |             | `snapshot: {
        canvasDimensions: Dimensions,
        dieDimensions: Dimensions,
        transform: ZoomTransform,
        dieLabelsHidden: boolean
    }`                               | `Promise<void>` |                |
| `renderHover` | public  |             |                                                                                                                                                                                               | `void`          |                |

<hr/>

## class: `Computations`

### Fields

| Name                      | Privacy | Type                            | Default | Description | Inherited From |
| ------------------------- | ------- | ------------------------------- | ------- | ----------- | -------------- |
| `containerDimensions`     | public  | `Dimensions`                    |         |             |                |
| `dieDimensions`           | public  | `Dimensions`                    |         |             |                |
| `radius`                  | public  | `number`                        |         |             |                |
| `margin`                  | public  | `Margin`                        |         |             |                |
| `horizontalScale`         | public  | `ScaleBand<number>`             |         |             |                |
| `verticalScale`           | public  | `ScaleBand<number>`             |         |             |                |
| `invertedHorizontalScale` | public  | `ScaleQuantile<number, number>` |         |             |                |
| `invertedVerticalScale`   | public  | `ScaleQuantile<number, number>` |         |             |                |

### Methods

| Name                        | Privacy | Description | Parameters | Return | Inherited From |
| --------------------------- | ------- | ----------- | ---------- | ------ | -------------- |
| `updateContainerDimensions` | public  |             |            | `void` |                |
| `updateScales`              | public  |             |            | `void` |                |

<hr/>

## class: `DataManager`

### Fields

| Name                      | Privacy | Type                            | Default | Description | Inherited From |
| ------------------------- | ------- | ------------------------------- | ------- | ----------- | -------------- |
| `containerDimensions`     | public  | `Dimensions`                    |         |             |                |
| `dieDimensions`           | public  | `Dimensions`                    |         |             |                |
| `radius`                  | public  | `number`                        |         |             |                |
| `margin`                  | public  | `Margin`                        |         |             |                |
| `horizontalScale`         | public  | `ScaleBand<number>`             |         |             |                |
| `invertedHorizontalScale` | public  | `ScaleQuantile<number, number>` |         |             |                |
| `verticalScale`           | public  | `ScaleBand<number>`             |         |             |                |
| `invertedVerticalScale`   | public  | `ScaleQuantile<number, number>` |         |             |                |
| `labelsFontSize`          | public  | `number`                        |         |             |                |
| `diesRenderInfo`          | public  | `DieRenderInfo[]`               |         |             |                |
| `data`                    | public  | `Map<string, WaferMapDie>`      |         |             |                |

### Methods

| Name                        | Privacy | Description | Parameters                | Return                     | Inherited From |
| --------------------------- | ------- | ----------- | ------------------------- | -------------------------- | -------------- |
| `updateContainerDimensions` | public  |             |                           | `void`                     |                |
| `updateScales`              | public  |             |                           | `void`                     |                |
| `updateLabelsFontSize`      | public  |             |                           | `void`                     |                |
| `updateDiesRenderInfo`      | public  |             |                           | `void`                     |                |
| `getWaferMapDie`            | public  |             | `point: PointCoordinates` | `WaferMapDie \| undefined` |                |

<hr/>

## class: `HoverHandler`

<hr/>

## class: `Prerendering`

### Fields

| Name             | Privacy | Type                                                                     | Default | Description | Inherited From |
| ---------------- | ------- | ------------------------------------------------------------------------ | ------- | ----------- | -------------- |
| `labelsFontSize` | public  | `number`                                                                 |         |             |                |
| `diesRenderInfo` | public  | `DieRenderInfo[]`                                                        |         |             |                |
| `d3ColorScale`   | public  | `\| ScaleOrdinal<string, string>         \| ScaleLinear<string, string>` |         |             |                |

### Methods

| Name                   | Privacy | Description | Parameters | Return | Inherited From |
| ---------------------- | ------- | ----------- | ---------- | ------ | -------------- |
| `updateLabelsFontSize` | public  |             |            | `void` |                |
| `updateDiesRenderInfo` | public  |             |            | `void` |                |

<hr/>

## class: `RenderingModule`

### Methods

| Name                           | Privacy | Description | Parameters | Return | Inherited From |
| ------------------------------ | ------- | ----------- | ---------- | ------ | -------------- |
| `updateSortedDiesAndDrawWafer` | public  |             |            | `void` |                |
| `drawWafer`                    | public  |             |            | `void` |                |
| `renderHover`                  | public  |             |            | `void` |                |

<hr/>

## class: `WaferMapUpdateTracker`

### Superclass

| Name            | Module                               | Package |
| --------------- | ------------------------------------ | ------- |
| `UpdateTracker` | /src/utilities/models/update-tracker |         |

### Fields

| Name                                | Privacy | Type      | Default | Description | Inherited From |
| ----------------------------------- | ------- | --------- | ------- | ----------- | -------------- |
| `requiresEventsUpdate`              | public  | `boolean` |         |             |                |
| `requiresWorkerWaferSetup`          | public  | `boolean` |         |             |                |
| `requiresContainerDimensionsUpdate` | public  | `boolean` |         |             |                |
| `requiresComponentResizeUpdate`     | public  | `boolean` |         |             |                |
| `requiresScalesUpdate`              | public  | `boolean` |         |             |                |
| `requiresInputDataUpdate`           | public  | `boolean` |         |             |                |
| `requiresLabelsFontSizeUpdate`      | public  | `boolean` |         |             |                |
| `requiresDiesRenderInfoUpdate`      | public  | `boolean` |         |             |                |
| `requiresColorAndTextUpdate`        | public  | `boolean` |         |             |                |
| `requiresDrawnWaferUpdate`          | public  | `boolean` |         |             |                |
| `requiresRenderHoverUpdate`         | public  | `boolean` |         |             |                |

### Methods

| Name          | Privacy | Description                                                                                                                                                | Parameters | Return | Inherited From |
| ------------- | ------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------- | ---------- | ------ | -------------- |
| `queueUpdate` | public  | Queues an update using the DOM and until the update is run no other updates are queued.&#xA;After the update is finished, all the tracked items are reset. |            | `void` |                |

<hr/>

## class: `WaferMapValidator`

### Methods

| Name                      | Privacy | Description | Parameters | Return             | Inherited From |
| ------------------------- | ------- | ----------- | ---------- | ------------------ | -------------- |
| `getValidity`             | public  |             |            | `WaferMapValidity` |                |
| `isValid`                 | public  |             |            | `boolean`          |                |
| `validateGridDimensions`  | public  |             |            | `boolean`          |                |
| `validateDiesTableSchema` | public  |             |            | `boolean`          |                |

<hr/>

## class: `ZoomHandler`

### Methods

| Name           | Privacy | Description | Parameters                               | Return | Inherited From |
| -------------- | ------- | ----------- | ---------------------------------------- | ------ | -------------- |
| `handleChange` | public  |             | `source: WaferMap, propertyName: string` | `void` |                |

<hr/>

## class: `MatrixRenderer`

### Fields

| Name                     | Privacy | Type                                | Default | Description | Inherited From |
| ------------------------ | ------- | ----------------------------------- | ------- | ----------- | -------------- |
| `values`                 |         | `Float64Array<ArrayBuffer>`         |         |             |                |
| `scaledColumnIndices`    |         | `Float64Array<ArrayBuffer>`         |         |             |                |
| `scaledRowIndices`       |         | `Float64Array<ArrayBuffer>`         |         |             |                |
| `columnIndicesPositions` |         | `Int32Array<ArrayBuffer>`           |         |             |                |
| `colorIndices`           |         | `Int32Array<ArrayBuffer>`           |         |             |                |
| `canvas`                 |         | `OffscreenCanvas`                   |         |             |                |
| `context`                |         | `OffscreenCanvasRenderingContext2D` |         |             |                |

### Methods

| Name                  | Privacy | Description | Parameters                                                                      | Return       | Inherited From |
| --------------------- | ------- | ----------- | ------------------------------------------------------------------------------- | ------------ | -------------- |
| `setMatrixData`       |         |             | `columnIndices: Int32Array, rowIndices: Int32Array, valuesBuffer: Float64Array` | `void`       |                |
| `setRenderConfig`     |         |             | `renderConfig: RenderConfig`                                                    | `void`       |                |
| `setTransformConfig`  |         |             | `transformData: TransformConfig`                                                | `void`       |                |
| `setCanvas`           |         |             | `canvas: OffscreenCanvas`                                                       | `void`       |                |
| `scaleCanvas`         |         |             |                                                                                 | `void`       |                |
| `setCanvasDimensions` |         |             | `data: Dimensions`                                                              | `void`       |                |
| `getCanvasDimensions` |         |             |                                                                                 | `Dimensions` |                |
| `clearCanvas`         |         |             |                                                                                 | `void`       |                |
| `drawWafer`           |         |             |                                                                                 | `void`       |                |
| `drawText`            |         |             |                                                                                 | `void`       |                |

<hr/>

## class: `RichTextMentionView`

### Superclass

| Name                | Module | Package             |
| ------------------- | ------ | ------------------- |
| `FoundationElement` |        | @ni/fast-foundation |

### Fields

| Name           | Privacy | Type                  | Default | Description                                                      | Inherited From |
| -------------- | ------- | --------------------- | ------- | ---------------------------------------------------------------- | -------------- |
| `mentionHref`  | public  | `string \| undefined` |         | Stores the unique URL of the mentioned user matching the pattern |                |
| `mentionLabel` | public  | `string \| undefined` |         | Stores the value of the rendering label                          |                |

### Attributes

| Name            | Field        | Inherited From |
| --------------- | ------------ | -------------- |
| `mention-href`  | mentionHref  |                |
| `mention-label` | mentionLabel |                |

<hr/>

## class: `RichTextMentionUsersView`

### Superclass

| Name                  | Module                           | Package |
| --------------------- | -------------------------------- | ------- |
| `RichTextMentionView` | /src/rich-text-mention/base/view |         |

### Fields

| Name           | Privacy | Type                  | Default | Description                                                      | Inherited From      |
| -------------- | ------- | --------------------- | ------- | ---------------------------------------------------------------- | ------------------- |
| `mentionHref`  | public  | `string \| undefined` |         | Stores the unique URL of the mentioned user matching the pattern | RichTextMentionView |
| `mentionLabel` | public  | `string \| undefined` |         | Stores the value of the rendering label                          | RichTextMentionView |

### Attributes

| Name            | Field        | Inherited From      |
| --------------- | ------------ | ------------------- |
| `mention-href`  | mentionHref  | RichTextMentionView |
| `mention-label` | mentionLabel | RichTextMentionView |

<hr/>

## class: `TableColumnAnchorCellView`

### Superclass

| Name            | Module                           | Package |
| --------------- | -------------------------------- | ------- |
| `TableCellView` | /src/table-column/base/cell-view |         |

### Fields

| Name               | Privacy | Type                                      | Default | Description                                                                                                 | Inherited From |
| ------------------ | ------- | ----------------------------------------- | ------- | ----------------------------------------------------------------------------------------------------------- | -------------- |
| `text`             | public  | `string`                                  |         |                                                                                                             |                |
| `tabbableChildren` | public  | `HTMLElement[]`                           |         | Gets the child elements in this cell view that should be able to be reached via Tab/ Shift-Tab,&#xA;if any. | TableCellView  |
| `cellRecord`       | public  | `TCellRecord \| undefined`                |         |                                                                                                             | TableCellView  |
| `columnConfig`     | public  | `TColumnConfig \| undefined`              |         |                                                                                                             | TableCellView  |
| `column`           | public  | `TableColumn<TColumnConfig> \| undefined` |         |                                                                                                             | TableCellView  |
| `recordId`         | public  | `string \| undefined`                     |         |                                                                                                             | TableCellView  |

### Methods

| Name            | Privacy | Description | Parameters | Return | Inherited From |
| --------------- | ------- | ----------- | ---------- | ------ | -------------- |
| `columnChanged` | public  |             |            | `void` | TableCellView  |

<hr/>

## class: `TableCellView`

### Superclass

| Name                | Module | Package             |
| ------------------- | ------ | ------------------- |
| `FoundationElement` |        | @ni/fast-foundation |

### Fields

| Name               | Privacy | Type                                      | Default | Description                                                                                                 | Inherited From |
| ------------------ | ------- | ----------------------------------------- | ------- | ----------------------------------------------------------------------------------------------------------- | -------------- |
| `cellRecord`       | public  | `TCellRecord \| undefined`                |         |                                                                                                             |                |
| `columnConfig`     | public  | `TColumnConfig \| undefined`              |         |                                                                                                             |                |
| `column`           | public  | `TableColumn<TColumnConfig> \| undefined` |         |                                                                                                             |                |
| `recordId`         | public  | `string \| undefined`                     |         |                                                                                                             |                |
| `tabbableChildren` | public  | `HTMLElement[]`                           |         | Gets the child elements in this cell view that should be able to be reached via Tab/ Shift-Tab,&#xA;if any. |                |

### Methods

| Name            | Privacy | Description | Parameters | Return | Inherited From |
| --------------- | ------- | ----------- | ---------- | ------ | -------------- |
| `columnChanged` | public  |             |            | `void` |                |

<hr/>

## class: `TableGroupHeaderView`

### Superclass

| Name                | Module | Package             |
| ------------------- | ------ | ------------------- |
| `FoundationElement` |        | @ni/fast-foundation |

### Fields

| Name               | Privacy | Type                         | Default | Description | Inherited From |
| ------------------ | ------- | ---------------------------- | ------- | ----------- | -------------- |
| `groupHeaderValue` | public  | `TGroupValue \| undefined`   |         |             |                |
| `columnConfig`     | public  | `TColumnConfig \| undefined` |         |             |                |

<hr/>

## class: `TableColumnDateTextCellView`

### Superclass

| Name                          | Module                                | Package |
| ----------------------------- | ------------------------------------- | ------- |
| `TableColumnTextCellViewBase` | /src/table-column/text-base/cell-view |         |

### Fields

| Name               | Privacy | Type                                      | Default | Description                                                                                                 | Inherited From              |
| ------------------ | ------- | ----------------------------------------- | ------- | ----------------------------------------------------------------------------------------------------------- | --------------------------- |
| `text`             | public  | `string`                                  | `''`    | Text to render in the cell.                                                                                 | TableColumnTextCellViewBase |
| `alignment`        | public  | `TableColumnAlignment`                    |         | The alignment of the text within the cell.                                                                  | TableColumnTextCellViewBase |
| `isPlaceholder`    | public  | `boolean`                                 | `false` | Whether or not the text being displayed in the cell view is a placeholder.                                  | TableColumnTextCellViewBase |
| `cellRecord`       | public  | `TCellRecord \| undefined`                |         |                                                                                                             | TableCellView               |
| `columnConfig`     | public  | `TColumnConfig \| undefined`              |         |                                                                                                             | TableCellView               |
| `column`           | public  | `TableColumn<TColumnConfig> \| undefined` |         |                                                                                                             | TableCellView               |
| `recordId`         | public  | `string \| undefined`                     |         |                                                                                                             | TableCellView               |
| `tabbableChildren` | public  | `HTMLElement[]`                           |         | Gets the child elements in this cell view that should be able to be reached via Tab/ Shift-Tab,&#xA;if any. | TableCellView               |

### Methods

| Name                  | Privacy   | Description | Parameters | Return | Inherited From              |
| --------------------- | --------- | ----------- | ---------- | ------ | --------------------------- |
| `updateText`          | protected |             |            | `void` | TableColumnTextCellViewBase |
| `columnConfigChanged` | protected |             |            | `void` | TableColumnTextCellViewBase |
| `columnChanged`       | public    |             |            | `void` | TableCellView               |

<hr/>

## class: `TableColumnDateTextGroupHeaderView`

### Superclass

| Name                                 | Module                                        | Package |
| ------------------------------------ | --------------------------------------------- | ------- |
| `TableColumnTextGroupHeaderViewBase` | /src/table-column/text-base/group-header-view |         |

### Fields

| Name               | Privacy | Type                         | Default | Description                                                                                                                                                                                                                                       | Inherited From                     |
| ------------------ | ------- | ---------------------------- | ------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ---------------------------------- |
| `text`             | public  |                              |         | Text to render in the cell.&#xA;&#xA;The value is initialized to \`tableGroupRowPlaceholderNoValue\` because if the group&#xA;row never has a value defined on it, the change handlers may never get called but&#xA;the text needs to be correct. | TableColumnTextGroupHeaderViewBase |
| `groupHeaderValue` | public  | `TGroupValue \| undefined`   |         |                                                                                                                                                                                                                                                   | TableGroupHeaderView               |
| `columnConfig`     | public  | `TColumnConfig \| undefined` |         |                                                                                                                                                                                                                                                   | TableGroupHeaderView               |

### Methods

| Name         | Privacy   | Description | Parameters | Return | Inherited From                     |
| ------------ | --------- | ----------- | ---------- | ------ | ---------------------------------- |
| `updateText` | protected |             |            | `void` | TableColumnTextGroupHeaderViewBase |

<hr/>

## class: `TableColumnDurationTextCellView`

### Superclass

| Name                          | Module                                | Package |
| ----------------------------- | ------------------------------------- | ------- |
| `TableColumnTextCellViewBase` | /src/table-column/text-base/cell-view |         |

### Fields

| Name               | Privacy | Type                                      | Default | Description                                                                                                 | Inherited From              |
| ------------------ | ------- | ----------------------------------------- | ------- | ----------------------------------------------------------------------------------------------------------- | --------------------------- |
| `text`             | public  | `string`                                  | `''`    | Text to render in the cell.                                                                                 | TableColumnTextCellViewBase |
| `alignment`        | public  | `TableColumnAlignment`                    |         | The alignment of the text within the cell.                                                                  | TableColumnTextCellViewBase |
| `isPlaceholder`    | public  | `boolean`                                 | `false` | Whether or not the text being displayed in the cell view is a placeholder.                                  | TableColumnTextCellViewBase |
| `cellRecord`       | public  | `TCellRecord \| undefined`                |         |                                                                                                             | TableCellView               |
| `columnConfig`     | public  | `TColumnConfig \| undefined`              |         |                                                                                                             | TableCellView               |
| `column`           | public  | `TableColumn<TColumnConfig> \| undefined` |         |                                                                                                             | TableCellView               |
| `recordId`         | public  | `string \| undefined`                     |         |                                                                                                             | TableCellView               |
| `tabbableChildren` | public  | `HTMLElement[]`                           |         | Gets the child elements in this cell view that should be able to be reached via Tab/ Shift-Tab,&#xA;if any. | TableCellView               |

### Methods

| Name                  | Privacy   | Description | Parameters | Return | Inherited From              |
| --------------------- | --------- | ----------- | ---------- | ------ | --------------------------- |
| `updateText`          | protected |             |            | `void` | TableColumnTextCellViewBase |
| `columnConfigChanged` | protected |             |            | `void` | TableColumnTextCellViewBase |
| `columnChanged`       | public    |             |            | `void` | TableCellView               |

<hr/>

## class: `TableColumnDurationTextGroupHeaderView`

### Superclass

| Name                                 | Module                                        | Package |
| ------------------------------------ | --------------------------------------------- | ------- |
| `TableColumnTextGroupHeaderViewBase` | /src/table-column/text-base/group-header-view |         |

### Fields

| Name               | Privacy | Type                         | Default | Description                                                                                                                                                                                                                                       | Inherited From                     |
| ------------------ | ------- | ---------------------------- | ------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ---------------------------------- |
| `text`             | public  |                              |         | Text to render in the cell.&#xA;&#xA;The value is initialized to \`tableGroupRowPlaceholderNoValue\` because if the group&#xA;row never has a value defined on it, the change handlers may never get called but&#xA;the text needs to be correct. | TableColumnTextGroupHeaderViewBase |
| `groupHeaderValue` | public  | `TGroupValue \| undefined`   |         |                                                                                                                                                                                                                                                   | TableGroupHeaderView               |
| `columnConfig`     | public  | `TColumnConfig \| undefined` |         |                                                                                                                                                                                                                                                   | TableGroupHeaderView               |

### Methods

| Name         | Privacy   | Description | Parameters | Return | Inherited From                     |
| ------------ | --------- | ----------- | ---------- | ------ | ---------------------------------- |
| `updateText` | protected |             |            | `void` | TableColumnTextGroupHeaderViewBase |

<hr/>

## class: `TableColumnMappingCellView`

### Superclass

| Name            | Module                           | Package |
| --------------- | -------------------------------- | ------- |
| `TableCellView` | /src/table-column/base/cell-view |         |

### Fields

| Name                    | Privacy | Type                                                                          | Default | Description                                                                                                 | Inherited From |
| ----------------------- | ------- | ----------------------------------------------------------------------------- | ------- | ----------------------------------------------------------------------------------------------------------- | -------------- |
| `severity`              | public  | `IconSeverity`                                                                |         |                                                                                                             |                |
| `text`                  | public  | `string \| undefined`                                                         |         |                                                                                                             |                |
| `visualizationTemplate` | public  | `\| ViewTemplate<IconView>         \| ViewTemplate<SpinnerView> \| undefined` |         |                                                                                                             |                |
| `textHidden`            | public  | `boolean`                                                                     | `false` |                                                                                                             |                |
| `cellRecord`            | public  | `TCellRecord \| undefined`                                                    |         |                                                                                                             | TableCellView  |
| `columnConfig`          | public  | `TColumnConfig \| undefined`                                                  |         |                                                                                                             | TableCellView  |
| `column`                | public  | `TableColumn<TColumnConfig> \| undefined`                                     |         |                                                                                                             | TableCellView  |
| `recordId`              | public  | `string \| undefined`                                                         |         |                                                                                                             | TableCellView  |
| `tabbableChildren`      | public  | `HTMLElement[]`                                                               |         | Gets the child elements in this cell view that should be able to be reached via Tab/ Shift-Tab,&#xA;if any. | TableCellView  |

### Methods

| Name            | Privacy | Description | Parameters | Return | Inherited From |
| --------------- | ------- | ----------- | ---------- | ------ | -------------- |
| `columnChanged` | public  |             |            | `void` | TableCellView  |

<hr/>

## class: `TableColumnMappingGroupHeaderView`

### Superclass

| Name                   | Module                                   | Package |
| ---------------------- | ---------------------------------------- | ------- |
| `TableGroupHeaderView` | /src/table-column/base/group-header-view |         |

### Fields

| Name                    | Privacy | Type                                                                          | Default | Description | Inherited From       |
| ----------------------- | ------- | ----------------------------------------------------------------------------- | ------- | ----------- | -------------------- |
| `text`                  | public  | `string`                                                                      | `''`    |             |                      |
| `severity`              | public  | `IconSeverity`                                                                |         |             |                      |
| `visualizationTemplate` | public  | `\| ViewTemplate<IconView>         \| ViewTemplate<SpinnerView> \| undefined` |         |             |                      |
| `textHidden`            | public  | `boolean`                                                                     | `false` |             |                      |
| `groupHeaderValue`      | public  | `TGroupValue \| undefined`                                                    |         |             | TableGroupHeaderView |
| `columnConfig`          | public  | `TColumnConfig \| undefined`                                                  |         |             | TableGroupHeaderView |

<hr/>

## class: `TableColumnMenuButtonCellView`

### Superclass

| Name            | Module                           | Package |
| --------------- | -------------------------------- | ------- |
| `TableCellView` | /src/table-column/base/cell-view |         |

### Fields

| Name               | Privacy | Type                                      | Default | Description                                                                                                 | Inherited From |
| ------------------ | ------- | ----------------------------------------- | ------- | ----------------------------------------------------------------------------------------------------------- | -------------- |
| `tabbableChildren` | public  | `HTMLElement[]`                           |         | Gets the child elements in this cell view that should be able to be reached via Tab/ Shift-Tab,&#xA;if any. | TableCellView  |
| `cellRecord`       | public  | `TCellRecord \| undefined`                |         |                                                                                                             | TableCellView  |
| `columnConfig`     | public  | `TColumnConfig \| undefined`              |         |                                                                                                             | TableCellView  |
| `column`           | public  | `TableColumn<TColumnConfig> \| undefined` |         |                                                                                                             | TableCellView  |
| `recordId`         | public  | `string \| undefined`                     |         |                                                                                                             | TableCellView  |

### Methods

| Name            | Privacy | Description | Parameters | Return | Inherited From |
| --------------- | ------- | ----------- | ---------- | ------ | -------------- |
| `columnChanged` | public  |             |            | `void` | TableCellView  |

<hr/>

## class: `TableColumnNumberTextCellView`

### Superclass

| Name                          | Module                                | Package |
| ----------------------------- | ------------------------------------- | ------- |
| `TableColumnTextCellViewBase` | /src/table-column/text-base/cell-view |         |

### Fields

| Name               | Privacy | Type                                      | Default | Description                                                                                                 | Inherited From              |
| ------------------ | ------- | ----------------------------------------- | ------- | ----------------------------------------------------------------------------------------------------------- | --------------------------- |
| `text`             | public  | `string`                                  | `''`    | Text to render in the cell.                                                                                 | TableColumnTextCellViewBase |
| `alignment`        | public  | `TableColumnAlignment`                    |         | The alignment of the text within the cell.                                                                  | TableColumnTextCellViewBase |
| `isPlaceholder`    | public  | `boolean`                                 | `false` | Whether or not the text being displayed in the cell view is a placeholder.                                  | TableColumnTextCellViewBase |
| `cellRecord`       | public  | `TCellRecord \| undefined`                |         |                                                                                                             | TableCellView               |
| `columnConfig`     | public  | `TColumnConfig \| undefined`              |         |                                                                                                             | TableCellView               |
| `column`           | public  | `TableColumn<TColumnConfig> \| undefined` |         |                                                                                                             | TableCellView               |
| `recordId`         | public  | `string \| undefined`                     |         |                                                                                                             | TableCellView               |
| `tabbableChildren` | public  | `HTMLElement[]`                           |         | Gets the child elements in this cell view that should be able to be reached via Tab/ Shift-Tab,&#xA;if any. | TableCellView               |

### Methods

| Name                  | Privacy   | Description | Parameters | Return | Inherited From              |
| --------------------- | --------- | ----------- | ---------- | ------ | --------------------------- |
| `columnConfigChanged` | protected |             |            | `void` | TableColumnTextCellViewBase |
| `updateText`          | protected |             |            | `void` | TableColumnTextCellViewBase |
| `columnChanged`       | public    |             |            | `void` | TableCellView               |

<hr/>

## class: `TableColumnNumberTextGroupHeaderView`

### Superclass

| Name                                 | Module                                        | Package |
| ------------------------------------ | --------------------------------------------- | ------- |
| `TableColumnTextGroupHeaderViewBase` | /src/table-column/text-base/group-header-view |         |

### Fields

| Name               | Privacy | Type                         | Default | Description                                                                                                                                                                                                                                       | Inherited From                     |
| ------------------ | ------- | ---------------------------- | ------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ---------------------------------- |
| `text`             | public  |                              |         | Text to render in the cell.&#xA;&#xA;The value is initialized to \`tableGroupRowPlaceholderNoValue\` because if the group&#xA;row never has a value defined on it, the change handlers may never get called but&#xA;the text needs to be correct. | TableColumnTextGroupHeaderViewBase |
| `groupHeaderValue` | public  | `TGroupValue \| undefined`   |         |                                                                                                                                                                                                                                                   | TableGroupHeaderView               |
| `columnConfig`     | public  | `TColumnConfig \| undefined` |         |                                                                                                                                                                                                                                                   | TableGroupHeaderView               |

### Methods

| Name         | Privacy   | Description | Parameters | Return | Inherited From                     |
| ------------ | --------- | ----------- | ---------- | ------ | ---------------------------------- |
| `updateText` | protected |             |            | `void` | TableColumnTextGroupHeaderViewBase |

<hr/>

## class: `TableColumnTextCellView`

### Superclass

| Name                          | Module                                | Package |
| ----------------------------- | ------------------------------------- | ------- |
| `TableColumnTextCellViewBase` | /src/table-column/text-base/cell-view |         |

### Fields

| Name               | Privacy | Type                                      | Default | Description                                                                                                 | Inherited From              |
| ------------------ | ------- | ----------------------------------------- | ------- | ----------------------------------------------------------------------------------------------------------- | --------------------------- |
| `text`             | public  | `string`                                  | `''`    | Text to render in the cell.                                                                                 | TableColumnTextCellViewBase |
| `alignment`        | public  | `TableColumnAlignment`                    |         | The alignment of the text within the cell.                                                                  | TableColumnTextCellViewBase |
| `isPlaceholder`    | public  | `boolean`                                 | `false` | Whether or not the text being displayed in the cell view is a placeholder.                                  | TableColumnTextCellViewBase |
| `cellRecord`       | public  | `TCellRecord \| undefined`                |         |                                                                                                             | TableCellView               |
| `columnConfig`     | public  | `TColumnConfig \| undefined`              |         |                                                                                                             | TableCellView               |
| `column`           | public  | `TableColumn<TColumnConfig> \| undefined` |         |                                                                                                             | TableCellView               |
| `recordId`         | public  | `string \| undefined`                     |         |                                                                                                             | TableCellView               |
| `tabbableChildren` | public  | `HTMLElement[]`                           |         | Gets the child elements in this cell view that should be able to be reached via Tab/ Shift-Tab,&#xA;if any. | TableCellView               |

### Methods

| Name                  | Privacy   | Description | Parameters | Return | Inherited From              |
| --------------------- | --------- | ----------- | ---------- | ------ | --------------------------- |
| `updateText`          | protected |             |            | `void` | TableColumnTextCellViewBase |
| `columnConfigChanged` | protected |             |            | `void` | TableColumnTextCellViewBase |
| `columnChanged`       | public    |             |            | `void` | TableCellView               |

<hr/>

## class: `TableColumnTextGroupHeaderView`

### Superclass

| Name                                 | Module                                        | Package |
| ------------------------------------ | --------------------------------------------- | ------- |
| `TableColumnTextGroupHeaderViewBase` | /src/table-column/text-base/group-header-view |         |

### Fields

| Name               | Privacy | Type                         | Default | Description                                                                                                                                                                                                                                       | Inherited From                     |
| ------------------ | ------- | ---------------------------- | ------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ---------------------------------- |
| `text`             | public  |                              |         | Text to render in the cell.&#xA;&#xA;The value is initialized to \`tableGroupRowPlaceholderNoValue\` because if the group&#xA;row never has a value defined on it, the change handlers may never get called but&#xA;the text needs to be correct. | TableColumnTextGroupHeaderViewBase |
| `groupHeaderValue` | public  | `TGroupValue \| undefined`   |         |                                                                                                                                                                                                                                                   | TableGroupHeaderView               |
| `columnConfig`     | public  | `TColumnConfig \| undefined` |         |                                                                                                                                                                                                                                                   | TableGroupHeaderView               |

### Methods

| Name         | Privacy   | Description | Parameters | Return | Inherited From                     |
| ------------ | --------- | ----------- | ---------- | ------ | ---------------------------------- |
| `updateText` | protected |             |            | `void` | TableColumnTextGroupHeaderViewBase |

<hr/>

## class: `TableColumnTextCellViewBase`

### Superclass

| Name            | Module                           | Package |
| --------------- | -------------------------------- | ------- |
| `TableCellView` | /src/table-column/base/cell-view |         |

### Fields

| Name               | Privacy | Type                                      | Default | Description                                                                                                 | Inherited From |
| ------------------ | ------- | ----------------------------------------- | ------- | ----------------------------------------------------------------------------------------------------------- | -------------- |
| `text`             | public  | `string`                                  | `''`    | Text to render in the cell.                                                                                 |                |
| `alignment`        | public  | `TableColumnAlignment`                    |         | The alignment of the text within the cell.                                                                  |                |
| `isPlaceholder`    | public  | `boolean`                                 | `false` | Whether or not the text being displayed in the cell view is a placeholder.                                  |                |
| `cellRecord`       | public  | `TCellRecord \| undefined`                |         |                                                                                                             | TableCellView  |
| `columnConfig`     | public  | `TColumnConfig \| undefined`              |         |                                                                                                             | TableCellView  |
| `column`           | public  | `TableColumn<TColumnConfig> \| undefined` |         |                                                                                                             | TableCellView  |
| `recordId`         | public  | `string \| undefined`                     |         |                                                                                                             | TableCellView  |
| `tabbableChildren` | public  | `HTMLElement[]`                           |         | Gets the child elements in this cell view that should be able to be reached via Tab/ Shift-Tab,&#xA;if any. | TableCellView  |

### Methods

| Name                  | Privacy   | Description | Parameters | Return | Inherited From |
| --------------------- | --------- | ----------- | ---------- | ------ | -------------- |
| `updateText`          | protected |             |            | `void` |                |
| `columnConfigChanged` | protected |             |            | `void` |                |
| `columnChanged`       | public    |             |            | `void` | TableCellView  |

<hr/>

## class: `TableColumnTextGroupHeaderViewBase`

### Superclass

| Name                   | Module                                   | Package |
| ---------------------- | ---------------------------------------- | ------- |
| `TableGroupHeaderView` | /src/table-column/base/group-header-view |         |

### Fields

| Name               | Privacy | Type                         | Default | Description                                                                                                                                                                                                                                       | Inherited From       |
| ------------------ | ------- | ---------------------------- | ------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | -------------------- |
| `text`             | public  |                              |         | Text to render in the cell.&#xA;&#xA;The value is initialized to \`tableGroupRowPlaceholderNoValue\` because if the group&#xA;row never has a value defined on it, the change handlers may never get called but&#xA;the text needs to be correct. |                      |
| `groupHeaderValue` | public  | `TGroupValue \| undefined`   |         |                                                                                                                                                                                                                                                   | TableGroupHeaderView |
| `columnConfig`     | public  | `TColumnConfig \| undefined` |         |                                                                                                                                                                                                                                                   | TableGroupHeaderView |

### Methods

| Name         | Privacy   | Description | Parameters | Return | Inherited From |
| ------------ | --------- | ----------- | ---------- | ------ | -------------- |
| `updateText` | protected |             |            | `void` |                |

<hr/>
